using System;
using System.Drawing;
using System.Linq;
using System.Collections.Generic;
using System.IO;
using System.Text;

namespace INT63DC_ImageDll
{
    public class ImageDll
    {
        public enum ButtonImages
        {
            #region Chinese
            chnBackDisable,
            chnBackDown,
            chnBackgroundUserLogin,
            chnBackUp,
            chnBackupDisable,
            chnBackupDown,
            chnBackupUp,
            chnDisable,
            chnEnable,
            chnFileSelectDisable,
            chnFileSelectDown,
            chnFileSelectUp,
            chnFilterDisable,
            chnFilterDown,
            chnFilterUp,
            chnFormCalibrationBalanceDisable,
            chnFormCalibrationBalanceDown,
            chnFormCalibrationBalanceUp,
            chnFormCalibrationCancelDisable,
            chnFormCalibrationCancelDown,
            chnFormCalibrationCancelUp,
            chnFormCalibrationStartDisable,
            chnFormCalibrationStartDown,
            chnFormCalibrationStartUp,
            chnFormDataBackupUSBIDDown,
            chnFormDataBackupUSBIDUp,
            chnFormMainClearDisable,
            chnFormMainClearDown,
            chnFormMainClearUp,
            chnFormMainLoginDisable,
            chnFormMainLoginUp,
            chnFormMainLogOutDown,
            chnFormMainMenuDisable,
            chnFormMainMenuDown,
            chnFormMainMenuUp,
            chnFormMainMenuSmallDisable,
            chnFormMainMenuSmallDown,
            chnFormMainMenuSmallUp,
            chnFormMainOverDisable,
            chnFormMainOverDown,
            chnFormMainOverUp,
            chnFormMainPassDisable,
            chnFormMainPassDown,
            chnFormMainPassUp,
            chnFormMainTareDisable,
            chnFormMainTareDown,
            chnFormMainTareUp,
            chnFormMainUnderDisable,
            chnFormMainUnderDown,
            chnFormMainUnderUp,
            chnFormMainZeroDown,
            chnFormMainZeroUp,
            chnFormSystemCopyDown,
            chnFormSystemCopyUp,
            chnFormSystemOverDown,
            chnFormSystemOverUp,
            chnFormSystemPassDown,
            chnFormSystemPassUp,
            chnFormSystemPasteAllDown,
            chnFormSystemPasteAllUp,
            chnFormSystemPasteDown,
            chnFormSystemPasteUp,
            chnFormSystemTareDown,
            chnFormSystemTareUp,
            chnFormSystemUnderDown,
            chnFormSystemUnderUp,
            chnGroupEditorDisable,
            chnGroupEditorDown,
            chnGroupEditorUp,
            chnMenuCalibrationDisable,
            chnMenuCalibrationDown,
            chnMenuCalibrationUp,
            chnMenuConfigurationDisable,
            chnMenuConfigurationDown,
            chnMenuConfigurationUp,
            chnMenuDataBackupDisable,
            chnMenuDataBackupDown,
            chnMenuDataBackupUp,
            chnMenuDataStatisticsDisable,
            chnMenuDataStatisticsDown,
            chnMenuDataStatisticsUp,
            chnMenuEquipmentSettingDisable,
            chnMenuEquipmentSettingDown,
            chnMenuEquipmentSettingUp,
            chnMenuEquipmentTestDisable,
            chnMenuEquipmentTestDown,
            chnMenuEquipmentTestUp,
            chnMenuInformationDisable,
            chnMenuInformationDown,
            chnMenuInformationUp,
            chnMenuInitializationDisable,
            chnMenuInitializationDown,
            chnMenuInitializationUp,
            chnMenuIOTestDisable,
            chnMenuIOTestDown,
            chnMenuIOTestUp,
            chnMenuMotorSettingDisable,
            chnMenuMotorSettingDown,
            chnMenuMotorSettingUp,
            chnMenuSystemSettingDisable,
            chnMenuSystemSettingDown,
            chnMenuSystemSettingUp,
            chnMenuTimeDisable,
            chnMenuTimeDown,
            chnMenuTimeUp,
            chnMenuUpdateDisable,
            chnMenuUpdateDown,
            chnMenuUpdateUp,
            chnMenuUserSettingDisable,
            chnMenuUserSettingDown,
            chnMenuUserSettingUp,
            chnMenuOptionDisable,
            chnMenuOptionDown,
            chnMenuOptionUp,
            chnOff_84X25,
            chnOn_84X25,
            chnSaveDisable,
            chnSaveDown,
            chnSaveUp,
            chnScreenDisable,
            chnScreenDown,
            chnScreenUp,
            chnMainCancelDisable,
            chnMainCancelDown,
            chnMainCancelUp,
            chnMainLoginDisable,
            chnMainLoginDown,
            chnMainLoginUp,
            chnSubMenuContinueUp,
            chnSubMenuNGUp,
            chnSubMenuOnceUp,
            chnSubMenuPassUp,
            chnFormMainSubMenuDisable,
            chnFormMainSubMenuDown,
            chnFormMainSubMenuUp,
            chnMenuDataviewerDisable,
            chnMenuDataviewerDown,
            chnMenuDataviewerUp,
            chnMenuCommunicationDisable,
            chnMenuCommunicationDown,
            chnMenuCommunicationUp,
            #endregion

            #region Czech
            czeBackDisable,
            czeBackDown,
            czeBackUp,
            czeBackupDisable,
            czeBackupDown,
            czeBackupUp,
            czeBigEnterDown,
            czeBigEnterUp,
            czeDisable,
            czeEnable,
            czeEnterDisable,
            czeEnterDown,
            czeEnterUp,
            czeFileSelectDisable,
            czeFileSelectDown,
            czeFileSelectUp,
            czeFilterDisable,
            czeFilterDown,
            czeFilterUp,
            czeFormCalibrationBalanceDisable,
            czeFormCalibrationBalanceDown,
            czeFormCalibrationBalanceUp,
            czeFormCalibrationCancelDisable,
            czeFormCalibrationCancelDown,
            czeFormCalibrationCancelUp,
            czeFormCalibrationStartDisable,
            czeFormCalibrationStartDown,
            czeFormCalibrationStartUp,
            czeFormMainClearDisable,
            czeFormMainClearDown,
            czeFormMainClearUp,
            czeFormMainMenuDisable,
            czeFormMainMenuDown,
            czeFormMainMenuUp,
            czeFormMainMenuSmallDisable,
            czeFormMainMenuSmallDown,
            czeFormMainMenuSmallUp,
            czeFormMainOverDown,
            czeFormMainOverUp,
            czeFormMainPassDown,
            czeFormMainPassUp,
            czeFormMainStart,
            czeFormMainTareDown,
            czeFormMainTareUp,
            czeFormMainUnderDown,
            czeFormMainUnderUp,
            czeFormMainZeroDown,
            czeFormMainZeroUp,
            czeFormSystemCopyDown,
            czeFormSystemCopyUp,
            czeFormSystemOverDown,
            czeFormSystemOverUp,
            czeFormSystemPassDown,
            czeFormSystemPassUp,
            czeFormSystemPasteAllDown,
            czeFormSystemPasteAllUp,
            czeFormSystemPasteDown,
            czeFormSystemPasteUp,
            czeFormSystemTareDown,
            czeFormSystemTareUp,
            czeFormSystemUnderDown,
            czeFormSystemUnderUp,
            czeGroupEditorDisable,
            czeGroupEditorDown,
            czeGroupEditorUp,
            czeMenuCalibrationDisable,
            czeMenuCalibrationDown,
            czeMenuCalibrationUp,
            czeMenuCommunicationDisable,
            czeMenuCommunicationDown,
            czeMenuCommunicationUp,
            czeMenuConfigurationDisable,
            czeMenuConfigurationDown,
            czeMenuConfigurationUp,
            czeMenuDataBackupDisable,
            czeMenuDataBackupDown,
            czeMenuDataBackupUp,
            czeMenuDataStatisticsDisable,
            czeMenuDataStatisticsDown,
            czeMenuDataStatisticsUp,
            czeMenuEquipmentSettingDisable,
            czeMenuEquipmentSettingDown,
            czeMenuEquipmentSettingUp,
            czeMenuEquipmentTestDisable,
            czeMenuEquipmentTestDown,
            czeMenuEquipmentTestUp,
            czeMenuInformationDisable,
            czeMenuInformationDown,
            czeMenuInformationUp,
            czeMenuInitializationDisable,
            czeMenuInitializationDown,
            czeMenuInitializationUp,
            czeMenuIOTestDisable,
            czeMenuIOTestDown,
            czeMenuIOTestUp,
            czeMenuMotorSettingDisable,
            czeMenuMotorSettingDown,
            czeMenuMotorSettingUp,
            czeMenuSystemSettingDisable,
            czeMenuSystemSettingDown,
            czeMenuSystemSettingUp,
            czeMenuTimeDisable,
            czeMenuTimeDown,
            czeMenuTimeUp,
            czeMenuUpdateDisable,
            czeMenuUpdateDown,
            czeMenuUpdateUp,
            czeMenuUserSettingDisable,
            czeMenuUserSettingDown,
            czeMenuUserSettingUp,
            czeMenuOptionDisable,
            czeMenuOptionDown,
            czeMenuOptionUp,
            czeNoDown,
            czeNoUp,
            czeSaveDisable,
            czeSaveDown,
            czeSaveUp,
            czeScreenDisable,
            czeScreenDown,
            czeScreenUp,
            czeYesDown,
            czeYesUp,
            czeMainCancelDisable,
            czeMainCancelDown,
            czeMainCancelUp,
            czeSubMenuContinueUp,
            czeSubMenuNGUp,
            czeSubMenuOnceUp,
            czeSubMenuPassUp,
            czeFormMainSubMenuDisable,
            czeFormMainSubMenuDown,
            czeFormMainSubMenuUp,
            #endregion

            #region English
            engBackDisable,
            engBackDown,
            engBackUp,
            engBackupDisable,
            engBackupDown,
            engBackupUp,
            engBigEnterDown,
            engBigEnterUp,
            engCancelDown,
            engCancelUp,
            engEnterDown,
            engEnterUp,
            engFileSelectDisable,
            engFileSelectDown,
            engFileSelectUp,
            engFilterDisable,
            engFilterDown,
            engFilterUp,
            engFormCalibrationBalanceDisable,
            engFormCalibrationBalanceDown,
            engFormCalibrationBalanceUp,
            engFormCalibrationCancelDisable,
            engFormCalibrationCancelDown,
            engFormCalibrationCancelUp,
            engFormCalibrationStartDisable,
            engFormCalibrationStartDown,
            engFormCalibrationStartUp,
            engFormMainClearDisable,
            engFormMainClearDown,
            engFormMainClearUp,
            engFormMainMenuDisable,
            engFormMainMenuDown,
            engFormMainMenuUp,
            engFormMainMenuSmallDisable,
            engFormMainMenuSmallDown,
            engFormMainMenuSmallUp,
            engFormMainOverDisable,
            engFormMainOverDown,
            engFormMainOverUp,
            engFormMainPassDisable,
            engFormMainPassDown,
            engFormMainPassUp,
            engFormMainTareDisable,
            engFormMainTareDown,
            engFormMainTareUp,
            engFormMainUnderDisable,
            engFormMainUnderDown,
            engFormMainUnderUp,
            engFormMainZeroDown,
            engFormMainZeroUp,
            engFormSystemCopyDown,
            engFormSystemCopyUp,
            engFormSystemOverDown,
            engFormSystemOverUp,
            engFormSystemPassDown,
            engFormSystemPassUp,
            engFormSystemPasteAllDown,
            engFormSystemPasteAllUp,
            engFormSystemPasteDown,
            engFormSystemPasteUp,
            engFormSystemTareDown,
            engFormSystemTareUp,
            engFormSystemUnderDown,
            engFormSystemUnderUp,
            engGroupEditorDisable,
            engGroupEditorDown,
            engGroupEditorUp,
            engMenuCalibrationDisable,
            engMenuCalibrationDown,
            engMenuCalibrationUp,
            engMenuCommunicationDisable,
            engMenuCommunicationDown,
            engMenuCommunicationUp,
            engMenuConfigurationDisable,
            engMenuConfigurationDown,
            engMenuConfigurationUp,
            engMenuDataBackupDisable,
            engMenuDataBackupDown,
            engMenuDataBackupUp,
            engMenuDataStatisticsDisable,
            engMenuDataStatisticsDown,
            engMenuDataStatisticsUp,
            engMenuEquipmentSettingDisable,
            engMenuEquipmentSettingDown,
            engMenuEquipmentSettingUp,
            engMenuEquipmentTestDisable,
            engMenuEquipmentTestDown,
            engMenuEquipmentTestUp,
            engMenuInformationDisable,
            engMenuInformationDown,
            engMenuInformationUp,
            engMenuInitializationDisable,
            engMenuInitializationDown,
            engMenuInitializationUp,
            engMenuIOTestDisable,
            engMenuIOTestDown,
            engMenuIOTestUp,
            engMenuMotorSettingDisable,
            engMenuMotorSettingDown,
            engMenuMotorSettingUp,
            engMenuSystemSettingDisable,
            engMenuSystemSettingDown,
            engMenuSystemSettingUp,
            engMenuTimeDisable,
            engMenuTimeDown,
            engMenuTimeUp,
            engMenuUpdateDisable,
            engMenuUpdateDown,
            engMenuUpdateUp,
            engMenuUserSettingDisable,
            engMenuUserSettingDown,
            engMenuUserSettingUp,
            engMenuOptionDisable,
            engMenuOptionDown,
            engMenuOptionUp,
            engSaveDisable,
            engSaveDown,
            engSaveUp,
            engScreenDisable,
            engScreenDown,
            engScreenUp,
            engMainCancelDisable,
            engMainCancelDown,
            engMainCancelUp,
            engMainLoginDisable,
            engMainLoginDown,
            engMainLoginUp,
            engSubMenuContinueUp,
            engSubMenuNGUp,
            engSubMenuOnceUp,
            engSubMenuPassUp,
            engFormMainSubMenuDisable,
            engFormMainSubMenuDown,
            engFormMainSubMenuUp,
            #endregion

            #region Germany
            gerBackDisable,
            gerBackDown,
            gerBackUp,
            gerBackupDisable,
            gerBackupDown,
            gerBackupUp,
            gerDisable,
            gerEnable,
            gerFileSelectDisable,
            gerFileSelectDown,
            gerFileSelectUp,
            gerFormCalibrationBalanceDisable,
            gerFormCalibrationBalanceDown,
            gerFormCalibrationBalanceUp,
            gerFormCalibrationCancelDisable,
            gerFormCalibrationCancelDown,
            gerFormCalibrationCancelUp,
            gerFormCalibrationStartDisable,
            gerFormCalibrationStartDown,
            gerFormCalibrationStartUp,
            gerFormMainClearDisable,
            gerFormMainClearDown,
            gerFormMainClearUp,
            gerFormMainMenuDisable,
            gerFormMainMenuDown,
            gerFormMainMenuUp,
            gerFormMainMenuSmallDisable,
            gerFormMainMenuSmallDown,
            gerFormMainMenuSmallUp,
            gerFormMainOverDown,
            gerFormMainOverUp,
            gerFormMainPassDown,
            gerFormMainPassUp,
            gerFormMainTareDown,
            gerFormMainTareUp,
            gerFormMainUnderDown,
            gerFormMainUnderUp,
            gerFormMainZeroDown,
            gerFormMainZeroUp,
            gerFormSystemCopyDown,
            gerFormSystemCopyUp,
            gerFormSystemOverDown,
            gerFormSystemOverUp,
            gerFormSystemPassDown,
            gerFormSystemPassUp,
            gerFormSystemPasteAllDown,
            gerFormSystemPasteAllUp,
            gerFormSystemPasteDown,
            gerFormSystemPasteUp,
            gerFormSystemTareDown,
            gerFormSystemTareUp,
            gerFormSystemUnderDown,
            gerFormSystemUnderUp,
            gerGroupEditorDisable,
            gerGroupEditorDown,
            gerGroupEditorUp,
            gerMenuCalibrationDisable,
            gerMenuCalibrationDown,
            gerMenuCalibrationUp,
            gerMenuCommunicationDisable,
            gerMenuCommunicationDown,
            gerMenuCommunicationUp,
            gerMenuConfigurationDisable,
            gerMenuConfigurationDown,
            gerMenuConfigurationUp,
            gerMenuDataBackupDisable,
            gerMenuDataBackupDown,
            gerMenuDataBackupUp,
            gerMenuDataStatisticsDisable,
            gerMenuDataStatisticsDown,
            gerMenuDataStatisticsUp,
            gerMenuEquipmentSettingDisable,
            gerMenuEquipmentSettingDown,
            gerMenuEquipmentSettingUp,
            gerMenuEquipmentTestDisable,
            gerMenuEquipmentTestDown,
            gerMenuEquipmentTestUp,
            gerMenuInformationDisable,
            gerMenuInformationDown,
            gerMenuInformationUp,
            gerMenuInitializationDisable,
            gerMenuInitializationDown,
            gerMenuInitializationUp,
            gerMenuIOTestDisable,
            gerMenuIOTestDown,
            gerMenuIOTestUp,
            gerMenuMotorSettingDisable,
            gerMenuMotorSettingDown,
            gerMenuMotorSettingUp,
            gerMenuSystemSettingDisable,
            gerMenuSystemSettingDown,
            gerMenuSystemSettingUp,
            gerMenuTimeDisable,
            gerMenuTimeDown,
            gerMenuTimeUp,
            gerMenuUpdateDisable,
            gerMenuUpdateDown,
            gerMenuUpdateUp,
            gerMenuUserSettingDisable,
            gerMenuUserSettingDown,
            gerMenuUserSettingUp,
            gerMenuOptionDisable,
            gerMenuOptionDown,
            gerMenuOptionUp,
            gerSaveDisable,
            gerSaveDown,
            gerSaveUp,
            gerScreenDisable,
            gerScreenDown,
            gerScreenUp,
            gerMainCancelDisable,
            gerMainCancelDown,
            gerMainCancelUp,
            gerSubMenuContinueUp,
            gerSubMenuNGUp,
            gerSubMenuOnceUp,
            gerSubMenuPassUp,
            gerFormMainSubMenuDisable,
            gerFormMainSubMenuDown,
            gerFormMainSubMenuUp,
            #endregion

            #region Japan
            jpnBackDisable,
            jpnBackDown,
            jpnBackUp,
            jpnBackupDisable,
            jpnBackupDown,
            jpnBackupUp,
            jpnClearAlarmDisable,
            jpnClearAlarmDown,
            jpnClearAlarmUp,
            jpnFileSelectDisable,
            jpnFileSelectDown,
            jpnFileSelectUp,
            jpnFilterDisable,
            jpnFilterDown,
            jpnFilterUp,
            jpnFormMainClearDisable,
            jpnFormMainClearDown,
            jpnFormMainClearUp,
            jpnFormMainLoginDisable,
            jpnFormMainLoginUp,
            jpnFormMainLogoffUp,
            jpnFormMainMenuDisable,
            jpnFormMainMenuDown,
            jpnFormMainMenuUp,
            jpnFormMainMenuSmallDisable,
            jpnFormMainMenuSmallDown,
            jpnFormMainMenuSmallUp,
            jpnFormMainOverDisable,
            jpnFormMainOverDown,
            jpnFormMainOverUp,
            jpnFormMainPassDisable,
            jpnFormMainPassDown,
            jpnFormMainPassUp,
            jpnFormMainSubMenuDisable,
            jpnFormMainSubMenuDown,
            jpnFormMainSubMenuUp,
            jpnFormMainTareDisable,
            jpnFormMainTareDown,
            jpnFormMainTareUp,
            jpnFormMainUnderDisable,
            jpnFormMainUnderDown,
            jpnFormMainUnderUp,
            jpnFormMainZeroDisable,
            jpnFormMainZeroDown,
            jpnFormMainZeroUp,
            jpnFormSystemCopyDown,
            jpnFormSystemCopyUp,
            jpnFormSystemOverDown,
            jpnFormSystemOverUp,
            jpnFormSystemPassDown,
            jpnFormSystemPassUp,
            jpnFormSystemPasteAllDown,
            jpnFormSystemPasteAllUp,
            jpnFormSystemPasteDown,
            jpnFormSystemPasteUp,
            jpnFormSystemTareDown,
            jpnFormSystemTareUp,
            jpnFormSystemUnderDown,
            jpnFormSystemUnderUp,
            jpnGroupEditorDisable,
            jpnGroupEditorDown,
            jpnGroupEditorUp,
            jpnMainLoginChangeDisable,
            jpnMainLoginChangeDown,
            jpnMainLoginChangeUp,
            jpnMainLoginCancelDisable,
            jpnMainLoginCancelDown,
            jpnMainLoginCancelUp,
            jpnMainLoginLoginDisable,
            jpnMainLoginLoginDown,
            jpnMainLoginLoginUp,
            jpnMenuCalibrationDisable,
            jpnMenuCalibrationDown,
            jpnMenuCalibrationUp,
            jpnMenuCommunicationDisable,
            jpnMenuCommunicationDown,
            jpnMenuCommunicationUp,
            jpnMenuConfigurationDisable,
            jpnMenuConfigurationDown,
            jpnMenuConfigurationUp,
            jpnMenuDataBackupDisable,
            jpnMenuDataBackupDown,
            jpnMenuDataBackupUp,
            jpnMenuDataStatisticsDisable,
            jpnMenuDataStatisticsDown,
            jpnMenuDataStatisticsUp,
            jpnMenuDataviewDisable,
            jpnMenuDataviewDown,
            jpnMenuDataviewUp,
            jpnMenuEquipmentSettingDisable,
            jpnMenuEquipmentSettingDown,
            jpnMenuEquipmentSettingUp,
            jpnMenuEquipmentTestDisable,
            jpnMenuEquipmentTestDown,
            jpnMenuEquipmentTestUp,
            jpnMenuInformationDisable,
            jpnMenuInformationDown,
            jpnMenuInformationUp,
            jpnMenuInitializationDisable,
            jpnMenuInitializationDown,
            jpnMenuInitializationUp,
            jpnMenuIOTestDisable,
            jpnMenuIOTestDown,
            jpnMenuIOTestUp,
            jpnMenuMotorSettingDisable,
            jpnMenuMotorSettingDown,
            jpnMenuMotorSettingUp,
            jpnMenuOptionDisable,
            jpnMenuOptionDown,
            jpnMenuOptionUp,
            jpnMenuSystemSettingDisable,
            jpnMenuSystemSettingDown,
            jpnMenuSystemSettingUp,
            jpnMenuTimeDisable,
            jpnMenuTimeDown,
            jpnMenuTimeUp,
            jpnMenuUpdateDisable,
            jpnMenuUpdateDown,
            jpnMenuUpdateUp,
            jpnMenuUserSettingDisable,
            jpnMenuUserSettingDown,
            jpnMenuUserSettingUp,
            jpnSaveDisable,
            jpnSaveDown,
            jpnSaveUp,
            jpnScreenDisable,
            jpnScreenDown,
            jpnScreenUp,
            jpnSubMenuContinueUp,
            jpnSubMenuNGUp,
            jpnSubMenuOnceUp,
            jpnSubMenuPassUp,
            #endregion

            #region Korean
            korFormMainMenuDisable,
            korFormMainMenuDown,
            korFormMainMenuUp,
            korFormMainMenuSmallDisable,
            korFormMainMenuSmallDown,
            korFormMainMenuSmallUp, 
            #endregion
        }

        public Bitmap GetImage(ButtonImages image)
        {
            Bitmap bt;

            switch (image)
            {
                #region Chinese
                case ButtonImages.chnBackDisable:
                    bt = new Bitmap(Resource.chnBackDisable);
                    break;
                case ButtonImages.chnBackDown:
                    bt = new Bitmap(Resource.chnBackDown);
                    break;
                case ButtonImages.chnBackgroundUserLogin:
                    bt = new Bitmap(Resource.chnBackgroundUserLogin);
                    break;
                case ButtonImages.chnBackUp:
                    bt = new Bitmap(Resource.chnBackUp);
                    break;
                case ButtonImages.chnBackupDisable:
                    bt = new Bitmap(Resource.chnBackupDisable);
                    break;
                case ButtonImages.chnBackupDown:
                    bt = new Bitmap(Resource.chnBackupDown);
                    break;
                case ButtonImages.chnBackupUp:
                    bt = new Bitmap(Resource.chnBackupUp);
                    break;
                case ButtonImages.chnDisable:
                    bt = new Bitmap(Resource.chnDisable);
                    break;
                case ButtonImages.chnEnable:
                    bt = new Bitmap(Resource.chnEnable);
                    break;
                case ButtonImages.chnFileSelectDisable:
                    bt = new Bitmap(Resource.chnFileSelectDisable);
                    break;
                case ButtonImages.chnFileSelectDown:
                    bt = new Bitmap(Resource.chnFileSelectDown);
                    break;
                case ButtonImages.chnFileSelectUp:
                    bt = new Bitmap(Resource.chnFileSelectUp);
                    break;
                case ButtonImages.chnFilterDisable:
                    bt = new Bitmap(Resource.chnFilterDisable);
                    break;
                case ButtonImages.chnFilterDown:
                    bt = new Bitmap(Resource.chnFilterDown);
                    break;
                case ButtonImages.chnFilterUp:
                    bt = new Bitmap(Resource.chnFilterUp);
                    break;
                case ButtonImages.chnFormCalibrationBalanceDisable:
                    bt = new Bitmap(Resource.chnFormCalibrationBalanceDisable);
                    break;
                case ButtonImages.chnFormCalibrationBalanceDown:
                    bt = new Bitmap(Resource.chnFormCalibrationBalanceDown);
                    break;
                case ButtonImages.chnFormCalibrationBalanceUp:
                    bt = new Bitmap(Resource.chnFormCalibrationBalanceUp);
                    break;
                case ButtonImages.chnFormCalibrationCancelDisable:
                    bt = new Bitmap(Resource.chnFormCalibrationCancelDisable);
                    break;
                case ButtonImages.chnFormCalibrationCancelDown:
                    bt = new Bitmap(Resource.chnFormCalibrationCancelDown);
                    break;
                case ButtonImages.chnFormCalibrationCancelUp:
                    bt = new Bitmap(Resource.chnFormCalibrationCancelUp);
                    break;
                case ButtonImages.chnFormCalibrationStartDisable:
                    bt = new Bitmap(Resource.chnFormCalibrationStartDisable);
                    break;
                case ButtonImages.chnFormCalibrationStartDown:
                    bt = new Bitmap(Resource.chnFormCalibrationStartDown);
                    break;
                case ButtonImages.chnFormCalibrationStartUp:
                    bt = new Bitmap(Resource.chnFormCalibrationStartUp);
                    break;
                case ButtonImages.chnFormDataBackupUSBIDDown:
                    bt = new Bitmap(Resource.chnFormDataBackupUSBIDDown);
                    break;
                case ButtonImages.chnFormDataBackupUSBIDUp:
                    bt = new Bitmap(Resource.chnFormDataBackupUSBIDUp);
                    break;
                case ButtonImages.chnFormMainClearDisable:
                    bt = new Bitmap(Resource.chnFormMainClearDisable);
                    break;
                case ButtonImages.chnFormMainClearDown:
                    bt = new Bitmap(Resource.chnFormMainClearDown);
                    break;
                case ButtonImages.chnFormMainClearUp:
                    bt = new Bitmap(Resource.chnFormMainClearUp);
                    break;
                case ButtonImages.chnFormMainLoginDisable:
                    bt = new Bitmap(Resource.chnFormMainLoginDisable);
                    break;
                case ButtonImages.chnFormMainLoginUp:
                    bt = new Bitmap(Resource.chnFormMainLoginUp);
                    break;
                case ButtonImages.chnFormMainLogOutDown:
                    bt = new Bitmap(Resource.chnFormMainLogOutDown);
                    break;
                case ButtonImages.chnFormMainMenuDisable:
                    bt = new Bitmap(Resource.chnFormMainMenuDisable);
                    break;
                case ButtonImages.chnFormMainMenuDown:
                    bt = new Bitmap(Resource.chnFormMainMenuDown);
                    break;
                case ButtonImages.chnFormMainMenuUp:
                    bt = new Bitmap(Resource.chnFormMainMenuUp);
                    break;
                case ButtonImages.chnFormMainMenuSmallDisable:
                    bt = new Bitmap(Resource.chnFormMainMenuSmallDisable);
                    break;
                case ButtonImages.chnFormMainMenuSmallDown:
                    bt = new Bitmap(Resource.chnFormMainMenuSmallDown);
                    break;
                case ButtonImages.chnFormMainMenuSmallUp:
                    bt = new Bitmap(Resource.chnFormMainMenuSmallUp);
                    break;
                case ButtonImages.chnFormMainOverDisable:
                    bt = new Bitmap(Resource.chnFormMainOverDisable);
                    break;
                case ButtonImages.chnFormMainOverDown:
                    bt = new Bitmap(Resource.chnFormMainOverDown);
                    break;
                case ButtonImages.chnFormMainOverUp:
                    bt = new Bitmap(Resource.chnFormMainOverUp);
                    break;
                case ButtonImages.chnFormMainPassDisable:
                    bt = new Bitmap(Resource.chnFormMainPassDisable);
                    break;
                case ButtonImages.chnFormMainPassDown:
                    bt = new Bitmap(Resource.chnFormMainPassDown);
                    break;
                case ButtonImages.chnFormMainPassUp:
                    bt = new Bitmap(Resource.chnFormMainPassUp);
                    break;
                case ButtonImages.chnFormMainTareDisable:
                    bt = new Bitmap(Resource.chnFormMainTareDisable);
                    break;
                case ButtonImages.chnFormMainTareDown:
                    bt = new Bitmap(Resource.chnFormMainTareDown);
                    break;
                case ButtonImages.chnFormMainTareUp:
                    bt = new Bitmap(Resource.chnFormMainTareUp);
                    break;
                case ButtonImages.chnFormMainUnderDisable:
                    bt = new Bitmap(Resource.chnFormMainUnderDisable);
                    break;
                case ButtonImages.chnFormMainUnderDown:
                    bt = new Bitmap(Resource.chnFormMainUnderDown);
                    break;
                case ButtonImages.chnFormMainUnderUp:
                    bt = new Bitmap(Resource.chnFormMainUnderUp);
                    break;
                case ButtonImages.chnFormMainZeroDown:
                    bt = new Bitmap(Resource.chnFormMainZeroDown);
                    break;
                case ButtonImages.chnFormMainZeroUp:
                    bt = new Bitmap(Resource.chnFormMainZeroUp);
                    break;
                case ButtonImages.chnFormSystemCopyDown:
                    bt = new Bitmap(Resource.chnFormSystemCopyDown);
                    break;
                case ButtonImages.chnFormSystemCopyUp:
                    bt = new Bitmap(Resource.chnFormSystemCopyUp);
                    break;
                case ButtonImages.chnFormSystemOverDown:
                    bt = new Bitmap(Resource.chnFormSystemOverDown);
                    break;
                case ButtonImages.chnFormSystemOverUp:
                    bt = new Bitmap(Resource.chnFormSystemOverUp);
                    break;
                case ButtonImages.chnFormSystemPassDown:
                    bt = new Bitmap(Resource.chnFormSystemPassDown);
                    break;
                case ButtonImages.chnFormSystemPassUp:
                    bt = new Bitmap(Resource.chnFormSystemPassUp);
                    break;
                case ButtonImages.chnFormSystemPasteAllDown:
                    bt = new Bitmap(Resource.chnFormSystemPasteAllDown);
                    break;
                case ButtonImages.chnFormSystemPasteAllUp:
                    bt = new Bitmap(Resource.chnFormSystemPasteAllUp);
                    break;
                case ButtonImages.chnFormSystemPasteDown:
                    bt = new Bitmap(Resource.chnFormSystemPasteDown);
                    break;
                case ButtonImages.chnFormSystemPasteUp:
                    bt = new Bitmap(Resource.chnFormSystemPasteUp);
                    break;
                case ButtonImages.chnFormSystemTareDown:
                    bt = new Bitmap(Resource.chnFormSystemTareDown);
                    break;
                case ButtonImages.chnFormSystemTareUp:
                    bt = new Bitmap(Resource.chnFormSystemTareUp);
                    break;
                case ButtonImages.chnFormSystemUnderDown:
                    bt = new Bitmap(Resource.chnFormSystemUnderDown);
                    break;
                case ButtonImages.chnFormSystemUnderUp:
                    bt = new Bitmap(Resource.chnFormSystemUnderUp);
                    break;
                case ButtonImages.chnGroupEditorDisable:
                    bt = new Bitmap(Resource.chnGroupEditorDisable);
                    break;
                case ButtonImages.chnGroupEditorDown:
                    bt = new Bitmap(Resource.chnGroupEditorDown);
                    break;
                case ButtonImages.chnGroupEditorUp:
                    bt = new Bitmap(Resource.chnGroupEditorUp);
                    break;
                case ButtonImages.chnMenuCalibrationDisable:
                    bt = new Bitmap(Resource.chnMenuCalibrationDisable);
                    break;
                case ButtonImages.chnMenuCalibrationDown:
                    bt = new Bitmap(Resource.chnMenuCalibrationDown);
                    break;
                case ButtonImages.chnMenuCalibrationUp:
                    bt = new Bitmap(Resource.chnMenuCalibrationUp);
                    break;
                case ButtonImages.chnMenuCommunicationDisable:
                    bt = new Bitmap(Resource.chnMenuCommunicationDisable);
                    break;
                case ButtonImages.chnMenuCommunicationDown:
                    bt = new Bitmap(Resource.chnMenuCommunicationDown);
                    break;
                case ButtonImages.chnMenuCommunicationUp:
                    bt = new Bitmap(Resource.chnMenuCommunicationUp);
                    break;
                case ButtonImages.chnMenuConfigurationDisable:
                    bt = new Bitmap(Resource.chnMenuConfigurationDisable);
                    break;
                case ButtonImages.chnMenuConfigurationDown:
                    bt = new Bitmap(Resource.chnMenuConfigurationDown);
                    break;
                case ButtonImages.chnMenuConfigurationUp:
                    bt = new Bitmap(Resource.chnMenuConfigurationUp);
                    break;
                case ButtonImages.chnMenuDataBackupDisable:
                    bt = new Bitmap(Resource.chnMenuDataBackupDisable);
                    break;
                case ButtonImages.chnMenuDataBackupDown:
                    bt = new Bitmap(Resource.chnMenuDataBackupDown);
                    break;
                case ButtonImages.chnMenuDataBackupUp:
                    bt = new Bitmap(Resource.chnMenuDataBackupUp);
                    break;
                case ButtonImages.chnMenuDataStatisticsDisable:
                    bt = new Bitmap(Resource.chnMenuDataStatisticsDisable);
                    break;
                case ButtonImages.chnMenuDataStatisticsDown:
                    bt = new Bitmap(Resource.chnMenuDataStatisticsDown);
                    break;
                case ButtonImages.chnMenuDataStatisticsUp:
                    bt = new Bitmap(Resource.chnMenuDataStatisticsUp);
                    break;
                case ButtonImages.chnMenuEquipmentSettingDisable:
                    bt = new Bitmap(Resource.chnMenuEquipmentSettingDisable);
                    break;
                case ButtonImages.chnMenuEquipmentSettingDown:
                    bt = new Bitmap(Resource.chnMenuEquipmentSettingDown);
                    break;
                case ButtonImages.chnMenuEquipmentSettingUp:
                    bt = new Bitmap(Resource.chnMenuEquipmentSettingUp);
                    break;
                case ButtonImages.chnMenuEquipmentTestDisable:
                    bt = new Bitmap(Resource.chnMenuEquipmentTestDisable);
                    break;
                case ButtonImages.chnMenuEquipmentTestDown:
                    bt = new Bitmap(Resource.chnMenuEquipmentTestDown);
                    break;
                case ButtonImages.chnMenuEquipmentTestUp:
                    bt = new Bitmap(Resource.chnMenuEquipmentTestUp);
                    break;
                case ButtonImages.chnMenuInformationDisable:
                    bt = new Bitmap(Resource.chnMenuInformationDisable);
                    break;
                case ButtonImages.chnMenuInformationDown:
                    bt = new Bitmap(Resource.chnMenuInformationDown);
                    break;
                case ButtonImages.chnMenuInformationUp:
                    bt = new Bitmap(Resource.chnMenuInformationUp);
                    break;
                case ButtonImages.chnMenuInitializationDisable:
                    bt = new Bitmap(Resource.chnMenuInitializationDisable);
                    break;
                case ButtonImages.chnMenuInitializationDown:
                    bt = new Bitmap(Resource.chnMenuInitializationDown);
                    break;
                case ButtonImages.chnMenuInitializationUp:
                    bt = new Bitmap(Resource.chnMenuInitializationUp);
                    break;
                case ButtonImages.chnMenuIOTestDisable:
                    bt = new Bitmap(Resource.chnMenuIOTestDisable);
                    break;
                case ButtonImages.chnMenuIOTestDown:
                    bt = new Bitmap(Resource.chnMenuIOTestDown);
                    break;
                case ButtonImages.chnMenuIOTestUp:
                    bt = new Bitmap(Resource.chnMenuIOTestUp);
                    break;
                case ButtonImages.chnMenuMotorSettingDisable:
                    bt = new Bitmap(Resource.chnMenuMotorSettingDisable);
                    break;
                case ButtonImages.chnMenuMotorSettingDown:
                    bt = new Bitmap(Resource.chnMenuMotorSettingDown);
                    break;
                case ButtonImages.chnMenuMotorSettingUp:
                    bt = new Bitmap(Resource.chnMenuMotorSettingUp);
                    break;
                case ButtonImages.chnMenuOptionDisable:
                    bt = new Bitmap(Resource.chnMenuOptionDisable);
                    break;
                case ButtonImages.chnMenuOptionDown:
                    bt = new Bitmap(Resource.chnMenuOptionDown);
                    break;
                case ButtonImages.chnMenuOptionUp:
                    bt = new Bitmap(Resource.chnMenuOptionUp);
                    break;
                case ButtonImages.chnOff_84X25:
                    bt = new Bitmap(Resource.chnOff_84X25);
                    break;
                case ButtonImages.chnOn_84X25:
                    bt = new Bitmap(Resource.chnOn_84X25);
                    break;
                case ButtonImages.chnMenuSystemSettingDisable:
                    bt = new Bitmap(Resource.chnMenuSystemSettingDisable);
                    break;
                case ButtonImages.chnMenuSystemSettingDown:
                    bt = new Bitmap(Resource.chnMenuSystemSettingDown);
                    break;
                case ButtonImages.chnMenuSystemSettingUp:
                    bt = new Bitmap(Resource.chnMenuSystemSettingUp);
                    break;
                case ButtonImages.chnMenuTimeDisable:
                    bt = new Bitmap(Resource.chnMenuTimeDisable);
                    break;
                case ButtonImages.chnMenuTimeDown:
                    bt = new Bitmap(Resource.chnMenuTimeDown);
                    break;
                case ButtonImages.chnMenuTimeUp:
                    bt = new Bitmap(Resource.chnMenuTimeUp);
                    break;
                case ButtonImages.chnMenuUpdateDisable:
                    bt = new Bitmap(Resource.chnMenuUpdateDisable);
                    break;
                case ButtonImages.chnMenuUpdateDown:
                    bt = new Bitmap(Resource.chnMenuUpdateDown);
                    break;
                case ButtonImages.chnMenuUpdateUp:
                    bt = new Bitmap(Resource.chnMenuUpdateUp);
                    break;
                case ButtonImages.chnMenuUserSettingDisable:
                    bt = new Bitmap(Resource.chnMenuUserSettingDisable);
                    break;
                case ButtonImages.chnMenuUserSettingDown:
                    bt = new Bitmap(Resource.chnMenuUserSettingDown);
                    break;
                case ButtonImages.chnMenuUserSettingUp:
                    bt = new Bitmap(Resource.chnMenuUserSettingUp);
                    break;
                case ButtonImages.chnSaveDisable:
                    bt = new Bitmap(Resource.chnSaveDisable);
                    break;
                case ButtonImages.chnSaveDown:
                    bt = new Bitmap(Resource.chnSaveDown);
                    break;
                case ButtonImages.chnSaveUp:
                    bt = new Bitmap(Resource.chnSaveUp);
                    break;
                case ButtonImages.chnScreenDisable:
                    bt = new Bitmap(Resource.chnScreenDisable);
                    break;
                case ButtonImages.chnScreenDown:
                    bt = new Bitmap(Resource.chnScreenDown);
                    break;
                case ButtonImages.chnScreenUp:
                    bt = new Bitmap(Resource.chnScreenUp);
                    break;
                case ButtonImages.chnMainCancelDisable:
                    bt = new Bitmap(Resource.chnMainCancelDisable);
                    break;
                case ButtonImages.chnMainCancelDown:
                    bt = new Bitmap(Resource.chnMainCancelDown);
                    break;
                case ButtonImages.chnMainCancelUp:
                    bt = new Bitmap(Resource.chnMainCancelUp);
                    break;
                case ButtonImages.chnMainLoginDisable:
                    bt = new Bitmap(Resource.chnMainLoginDisable);
                    break;
                case ButtonImages.chnMainLoginDown:
                    bt = new Bitmap(Resource.chnMainLoginDown);
                    break;
                case ButtonImages.chnMainLoginUp:
                    bt = new Bitmap(Resource.chnMainLoginUp);
                    break;
                case ButtonImages.chnSubMenuContinueUp:
                    bt = new Bitmap(Resource.chnSubMenuContinueUp);
                    break;
                case ButtonImages.chnSubMenuNGUp:
                    bt = new Bitmap(Resource.chnSubMenuNGUp);
                    break;
                case ButtonImages.chnSubMenuOnceUp:
                    bt = new Bitmap(Resource.chnSubMenuOnceUp);
                    break;
                case ButtonImages.chnSubMenuPassUp:
                    bt = new Bitmap(Resource.chnSubMenuPassUp);
                    break;
                case ButtonImages.chnFormMainSubMenuDisable:
                    bt = new Bitmap(Resource.chnFormMainSubMenuDisable);
                    break;
                case ButtonImages.chnFormMainSubMenuDown:
                    bt = new Bitmap(Resource.chnFormMainSubMenuDown);
                    break;
                case ButtonImages.chnFormMainSubMenuUp:
                    bt = new Bitmap(Resource.chnFormMainSubMenuUp);
                    break;
                case ButtonImages.chnMenuDataviewerDisable:
                    bt = new Bitmap(Resource.chnMenuDataviewerDisable);
                    break;
                case ButtonImages.chnMenuDataviewerDown:
                    bt = new Bitmap(Resource.chnMenuDataviewerDown);
                    break;
                case ButtonImages.chnMenuDataviewerUp:
                    bt = new Bitmap(Resource.chnMenuDataviewerUp);
                    break;
                #endregion

                #region Czech
                case ButtonImages.czeBackDisable:
                    bt = new Bitmap(Resource.czeBackDisable);
                    break;
                case ButtonImages.czeBackDown:
                    bt = new Bitmap(Resource.czeBackDown);
                    break;
                case ButtonImages.czeBackUp:
                    bt = new Bitmap(Resource.czeBackUp);
                    break;
                case ButtonImages.czeBackupDisable:
                    bt = new Bitmap(Resource.czeBackupDisable);
                    break;
                case ButtonImages.czeBackupDown:
                    bt = new Bitmap(Resource.czeBackupDown);
                    break;
                case ButtonImages.czeBackupUp:
                    bt = new Bitmap(Resource.czeBackupUp);
                    break;
                case ButtonImages.czeBigEnterDown:
                    bt = new Bitmap(Resource.czeBigEnterDown);
                    break;
                case ButtonImages.czeBigEnterUp:
                    bt = new Bitmap(Resource.czeBigEnterUp);
                    break;
                case ButtonImages.czeDisable:
                    bt = new Bitmap(Resource.czeDisable);
                    break;
                case ButtonImages.czeEnable:
                    bt = new Bitmap(Resource.czeEnable);
                    break;
                case ButtonImages.czeEnterDisable:
                    bt = new Bitmap(Resource.czeEnterDisable);
                    break;
                case ButtonImages.czeEnterDown:
                    bt = new Bitmap(Resource.czeEnterDown);
                    break;
                case ButtonImages.czeEnterUp:
                    bt = new Bitmap(Resource.czeEnterUp);
                    break;
                case ButtonImages.czeFileSelectDisable:
                    bt = new Bitmap(Resource.czeFileSelectDisable);
                    break;
                case ButtonImages.czeFileSelectDown:
                    bt = new Bitmap(Resource.czeFileSelectDown);
                    break;
                case ButtonImages.czeFileSelectUp:
                    bt = new Bitmap(Resource.czeFileSelectUp);
                    break;
                case ButtonImages.czeFilterDisable:
                    bt = new Bitmap(Resource.czeFilterDisable);
                    break;
                case ButtonImages.czeFilterDown:
                    bt = new Bitmap(Resource.czeFilterDown);
                    break;
                case ButtonImages.czeFilterUp:
                    bt = new Bitmap(Resource.czeFilterUp);
                    break;
                case ButtonImages.czeFormCalibrationBalanceDisable:
                    bt = new Bitmap(Resource.czeFormCalibrationBalanceDisable);
                    break;
                case ButtonImages.czeFormCalibrationBalanceDown:
                    bt = new Bitmap(Resource.czeFormCalibrationBalanceDown);
                    break;
                case ButtonImages.czeFormCalibrationBalanceUp:
                    bt = new Bitmap(Resource.czeFormCalibrationBalanceUp);
                    break;
                case ButtonImages.czeFormCalibrationCancelDisable:
                    bt = new Bitmap(Resource.czeFormCalibrationCancelDisable);
                    break;
                case ButtonImages.czeFormCalibrationCancelDown:
                    bt = new Bitmap(Resource.czeFormCalibrationCancelDown);
                    break;
                case ButtonImages.czeFormCalibrationCancelUp:
                    bt = new Bitmap(Resource.czeFormCalibrationCancelUp);
                    break;
                case ButtonImages.czeFormCalibrationStartDisable:
                    bt = new Bitmap(Resource.czeFormCalibrationStartDisable);
                    break;
                case ButtonImages.czeFormCalibrationStartDown:
                    bt = new Bitmap(Resource.czeFormCalibrationStartDown);
                    break;
                case ButtonImages.czeFormCalibrationStartUp:
                    bt = new Bitmap(Resource.czeFormCalibrationStartUp);
                    break;
                case ButtonImages.czeFormMainClearDisable:
                    bt = new Bitmap(Resource.czeFormMainClearDisable);
                    break;
                case ButtonImages.czeFormMainClearDown:
                    bt = new Bitmap(Resource.czeFormMainClearDown);
                    break;
                case ButtonImages.czeFormMainClearUp:
                    bt = new Bitmap(Resource.czeFormMainClearUp);
                    break;
                case ButtonImages.czeFormMainMenuDisable:
                    bt = new Bitmap(Resource.czeFormMainMenuDisable);
                    break;
                case ButtonImages.czeFormMainMenuDown:
                    bt = new Bitmap(Resource.czeFormMainMenuDown);
                    break;
                case ButtonImages.czeFormMainMenuUp:
                    bt = new Bitmap(Resource.czeFormMainMenuUp);
                    break;
                case ButtonImages.czeFormMainMenuSmallDisable:
                    bt = new Bitmap(Resource.czeFormMainMenuSmallDisable);
                    break;
                case ButtonImages.czeFormMainMenuSmallDown:
                    bt = new Bitmap(Resource.czeFormMainMenuSmallDown);
                    break;
                case ButtonImages.czeFormMainMenuSmallUp:
                    bt = new Bitmap(Resource.czeFormMainMenuSmallUp);
                    break;
                case ButtonImages.czeFormMainOverDown:
                    bt = new Bitmap(Resource.czeFormMainOverDown);
                    break;
                case ButtonImages.czeFormMainOverUp:
                    bt = new Bitmap(Resource.czeFormMainOverUp);
                    break;
                case ButtonImages.czeFormMainPassDown:
                    bt = new Bitmap(Resource.czeFormMainPassDown);
                    break;
                case ButtonImages.czeFormMainPassUp:
                    bt = new Bitmap(Resource.czeFormMainPassUp);
                    break;
                case ButtonImages.czeFormMainStart:
                    bt = new Bitmap(Resource.czeFormMainStart);
                    break;
                case ButtonImages.czeFormMainTareDown:
                    bt = new Bitmap(Resource.czeFormMainTareDown);
                    break;
                case ButtonImages.czeFormMainTareUp:
                    bt = new Bitmap(Resource.czeFormMainTareUp);
                    break;
                case ButtonImages.czeFormMainUnderDown:
                    bt = new Bitmap(Resource.czeFormMainUnderDown);
                    break;
                case ButtonImages.czeFormMainUnderUp:
                    bt = new Bitmap(Resource.czeFormMainUnderUp);
                    break;
                case ButtonImages.czeFormMainZeroDown:
                    bt = new Bitmap(Resource.czeFormMainZeroDown);
                    break;
                case ButtonImages.czeFormMainZeroUp:
                    bt = new Bitmap(Resource.czeFormMainZeroUp);
                    break;
                case ButtonImages.czeFormSystemCopyDown:
                    bt = new Bitmap(Resource.czeFormSystemCopyDown);
                    break;
                case ButtonImages.czeFormSystemCopyUp:
                    bt = new Bitmap(Resource.czeFormSystemCopyUp);
                    break;
                case ButtonImages.czeFormSystemOverDown:
                    bt = new Bitmap(Resource.czeFormSystemOverDown);
                    break;
                case ButtonImages.czeFormSystemOverUp:
                    bt = new Bitmap(Resource.czeFormSystemOverUp);
                    break;
                case ButtonImages.czeFormSystemPassDown:
                    bt = new Bitmap(Resource.czeFormSystemPassDown);
                    break;
                case ButtonImages.czeFormSystemPassUp:
                    bt = new Bitmap(Resource.czeFormSystemPassUp);
                    break;
                case ButtonImages.czeFormSystemPasteAllDown:
                    bt = new Bitmap(Resource.czeFormSystemPasteAllDown);
                    break;
                case ButtonImages.czeFormSystemPasteAllUp:
                    bt = new Bitmap(Resource.czeFormSystemPasteAllUp);
                    break;
                case ButtonImages.czeFormSystemPasteDown:
                    bt = new Bitmap(Resource.czeFormSystemPasteDown);
                    break;
                case ButtonImages.czeFormSystemPasteUp:
                    bt = new Bitmap(Resource.czeFormSystemPasteUp);
                    break;
                case ButtonImages.czeFormSystemTareDown:
                    bt = new Bitmap(Resource.czeFormSystemTareDown);
                    break;
                case ButtonImages.czeFormSystemTareUp:
                    bt = new Bitmap(Resource.czeFormSystemTareUp);
                    break;
                case ButtonImages.czeFormSystemUnderDown:
                    bt = new Bitmap(Resource.czeFormSystemUnderDown);
                    break;
                case ButtonImages.czeFormSystemUnderUp:
                    bt = new Bitmap(Resource.czeFormSystemUnderUp);
                    break;
                case ButtonImages.czeGroupEditorDisable:
                    bt = new Bitmap(Resource.czeGroupEditorDisable);
                    break;
                case ButtonImages.czeGroupEditorDown:
                    bt = new Bitmap(Resource.czeGroupEditorDown);
                    break;
                case ButtonImages.czeGroupEditorUp:
                    bt = new Bitmap(Resource.czeGroupEditorUp);
                    break;
                case ButtonImages.czeMenuCalibrationDisable:
                    bt = new Bitmap(Resource.czeMenuCalibrationDisable);
                    break;
                case ButtonImages.czeMenuCalibrationDown:
                    bt = new Bitmap(Resource.czeMenuCalibrationDown);
                    break;
                case ButtonImages.czeMenuCalibrationUp:
                    bt = new Bitmap(Resource.czeMenuCalibrationUp);
                    break;
                case ButtonImages.czeMenuCommunicationDisable:
                    bt = new Bitmap(Resource.czeMenuCommunicaionDisable);
                    break;
                case ButtonImages.czeMenuCommunicationDown:
                    bt = new Bitmap(Resource.czeMenuCommunicaionDown);
                    break;
                case ButtonImages.czeMenuCommunicationUp:
                    bt = new Bitmap(Resource.czeMenuCommunicaionUp);
                    break;
                case ButtonImages.czeMenuConfigurationDisable:
                    bt = new Bitmap(Resource.czeMenuConfigurationDisable);
                    break;
                case ButtonImages.czeMenuConfigurationDown:
                    bt = new Bitmap(Resource.czeMenuConfigurationDown);
                    break;
                case ButtonImages.czeMenuConfigurationUp:
                    bt = new Bitmap(Resource.czeMenuConfigurationUp);
                    break;
                case ButtonImages.czeMenuDataBackupDisable:
                    bt = new Bitmap(Resource.czeMenuDataBackupDisable);
                    break;
                case ButtonImages.czeMenuDataBackupDown:
                    bt = new Bitmap(Resource.czeMenuDataBackupDown);
                    break;
                case ButtonImages.czeMenuDataBackupUp:
                    bt = new Bitmap(Resource.czeMenuDataBackupUp);
                    break;
                case ButtonImages.czeMenuDataStatisticsDisable:
                    bt = new Bitmap(Resource.czeMenuDataStatisticsDisable);
                    break;
                case ButtonImages.czeMenuDataStatisticsDown:
                    bt = new Bitmap(Resource.czeMenuDataStatisticsDown);
                    break;
                case ButtonImages.czeMenuDataStatisticsUp:
                    bt = new Bitmap(Resource.czeMenuDataStatisticsUp);
                    break;
                case ButtonImages.czeMenuEquipmentSettingDisable:
                    bt = new Bitmap(Resource.czeMenuEquipmentSettingDisable);
                    break;
                case ButtonImages.czeMenuEquipmentSettingDown:
                    bt = new Bitmap(Resource.czeMenuEquipmentSettingDown);
                    break;
                case ButtonImages.czeMenuEquipmentSettingUp:
                    bt = new Bitmap(Resource.czeMenuEquipmentSettingUp);
                    break;
                case ButtonImages.czeMenuEquipmentTestDisable:
                    bt = new Bitmap(Resource.czeMenuEquipmentTestDisable);
                    break;
                case ButtonImages.czeMenuEquipmentTestDown:
                    bt = new Bitmap(Resource.czeMenuEquipmentTestDown);
                    break;
                case ButtonImages.czeMenuEquipmentTestUp:
                    bt = new Bitmap(Resource.czeMenuEquipmentTestUp);
                    break;
                case ButtonImages.czeMenuInformationDisable:
                    bt = new Bitmap(Resource.czeMenuInformationDisable);
                    break;
                case ButtonImages.czeMenuInformationDown:
                    bt = new Bitmap(Resource.czeMenuInformationDown);
                    break;
                case ButtonImages.czeMenuInformationUp:
                    bt = new Bitmap(Resource.czeMenuInformationUp);
                    break;
                case ButtonImages.czeMenuInitializationDisable:
                    bt = new Bitmap(Resource.czeMenuInitializationDisable);
                    break;
                case ButtonImages.czeMenuInitializationDown:
                    bt = new Bitmap(Resource.czeMenuInitializationDown);
                    break;
                case ButtonImages.czeMenuInitializationUp:
                    bt = new Bitmap(Resource.czeMenuInitializationUp);
                    break;
                case ButtonImages.czeMenuIOTestDisable:
                    bt = new Bitmap(Resource.czeMenuIOTestDisable);
                    break;
                case ButtonImages.czeMenuIOTestDown:
                    bt = new Bitmap(Resource.czeMenuIOTestDown);
                    break;
                case ButtonImages.czeMenuIOTestUp:
                    bt = new Bitmap(Resource.czeMenuIOTestUp);
                    break;
                case ButtonImages.czeMenuMotorSettingDisable:
                    bt = new Bitmap(Resource.czeMenuMotorSettingDisable);
                    break;
                case ButtonImages.czeMenuMotorSettingDown:
                    bt = new Bitmap(Resource.czeMenuMotorSettingDown);
                    break;
                case ButtonImages.czeMenuMotorSettingUp:
                    bt = new Bitmap(Resource.czeMenuMotorSettingUp);
                    break;
                case ButtonImages.czeMenuOptionDisable:
                    bt = new Bitmap(Resource.czeMenuOptionDisable);
                    break;
                case ButtonImages.czeMenuOptionDown:
                    bt = new Bitmap(Resource.czeMenuOptionDown);
                    break;
                case ButtonImages.czeMenuOptionUp:
                    bt = new Bitmap(Resource.czeMenuOptionUp);
                    break;
                case ButtonImages.czeMenuSystemSettingDisable:
                    bt = new Bitmap(Resource.czeMenuSystemSettingDisable);
                    break;
                case ButtonImages.czeMenuSystemSettingDown:
                    bt = new Bitmap(Resource.czeMenuSystemSettingDown);
                    break;
                case ButtonImages.czeMenuSystemSettingUp:
                    bt = new Bitmap(Resource.czeMenuSystemSettingUp);
                    break;
                case ButtonImages.czeMenuTimeDisable:
                    bt = new Bitmap(Resource.czeMenuTimeDisable);
                    break;
                case ButtonImages.czeMenuTimeDown:
                    bt = new Bitmap(Resource.czeMenuTimeDown);
                    break;
                case ButtonImages.czeMenuTimeUp:
                    bt = new Bitmap(Resource.czeMenuTimeUp);
                    break;
                case ButtonImages.czeMenuUpdateDisable:
                    bt = new Bitmap(Resource.czeMenuUpdateDisable);
                    break;
                case ButtonImages.czeMenuUpdateDown:
                    bt = new Bitmap(Resource.czeMenuUpdateDown);
                    break;
                case ButtonImages.czeMenuUpdateUp:
                    bt = new Bitmap(Resource.czeMenuUpdateUp);
                    break;
                case ButtonImages.czeMenuUserSettingDisable:
                    bt = new Bitmap(Resource.czeMenuUserSettingDisable);
                    break;
                case ButtonImages.czeMenuUserSettingDown:
                    bt = new Bitmap(Resource.czeMenuUserSettingDown);
                    break;
                case ButtonImages.czeMenuUserSettingUp:
                    bt = new Bitmap(Resource.czeMenuUserSettingUp);
                    break;
                case ButtonImages.czeNoDown:
                    bt = new Bitmap(Resource.czeNoDown);
                    break;
                case ButtonImages.czeNoUp:
                    bt = new Bitmap(Resource.czeNoUp);
                    break;
                case ButtonImages.czeSaveDisable:
                    bt = new Bitmap(Resource.czeSaveDisable);
                    break;
                case ButtonImages.czeSaveDown:
                    bt = new Bitmap(Resource.czeSaveDown);
                    break;
                case ButtonImages.czeSaveUp:
                    bt = new Bitmap(Resource.czeSaveUp);
                    break;
                case ButtonImages.czeScreenDisable:
                    bt = new Bitmap(Resource.czeScreenDisable);
                    break;
                case ButtonImages.czeScreenDown:
                    bt = new Bitmap(Resource.czeScreenDown);
                    break;
                case ButtonImages.czeScreenUp:
                    bt = new Bitmap(Resource.czeScreenUp);
                    break;
                case ButtonImages.czeYesDown:
                    bt = new Bitmap(Resource.czeYesDown);
                    break;
                case ButtonImages.czeYesUp:
                    bt = new Bitmap(Resource.czeYesUp);
                    break;
                case ButtonImages.czeMainCancelDisable:
                    bt = new Bitmap(Resource.czeMainCancelDisable);
                    break;
                case ButtonImages.czeMainCancelDown:
                    bt = new Bitmap(Resource.czeMainCancelDown);
                    break;
                case ButtonImages.czeMainCancelUp:
                    bt = new Bitmap(Resource.czeMainCancelUp);
                    break;
                case ButtonImages.czeSubMenuContinueUp:
                    bt = new Bitmap(Resource.czeSubMenuContinueUp);
                    break;
                case ButtonImages.czeSubMenuNGUp:
                    bt = new Bitmap(Resource.czeSubMenuNGUp);
                    break;
                case ButtonImages.czeSubMenuOnceUp:
                    bt = new Bitmap(Resource.czeSubMenuOnceUp);
                    break;
                case ButtonImages.czeSubMenuPassUp:
                    bt = new Bitmap(Resource.czeSubMenuPassUp);
                    break;
                case ButtonImages.czeFormMainSubMenuDisable:
                    bt = new Bitmap(Resource.czeFormMainSubMenuDisable);
                    break;
                case ButtonImages.czeFormMainSubMenuDown:
                    bt = new Bitmap(Resource.czeFormMainSubMenuDown);
                    break;
                case ButtonImages.czeFormMainSubMenuUp:
                    bt = new Bitmap(Resource.czeFormMainSubMenuUp);
                    break;
                #endregion

                #region English
                case ButtonImages.engBackDisable:
                    bt = new Bitmap(Resource.engBackDisable);
                    break;
                case ButtonImages.engBackDown:
                    bt = new Bitmap(Resource.engBackDown);
                    break;
                case ButtonImages.engBackUp:
                    bt = new Bitmap(Resource.engBackUp);
                    break;
                case ButtonImages.engBackupDisable:
                    bt = new Bitmap(Resource.engBackupDisable);
                    break;
                case ButtonImages.engBackupDown:
                    bt = new Bitmap(Resource.engBackupDown);
                    break;
                case ButtonImages.engBackupUp:
                    bt = new Bitmap(Resource.engBackupUp);
                    break;
                case ButtonImages.engBigEnterDown:
                    bt = new Bitmap(Resource.engBigEnterDown);
                    break;
                case ButtonImages.engBigEnterUp:
                    bt = new Bitmap(Resource.engBigEnterUp);
                    break;
                case ButtonImages.engCancelDown:
                    bt = new Bitmap(Resource.engCancelDown);
                    break;
                case ButtonImages.engCancelUp:
                    bt = new Bitmap(Resource.engCancelUp);
                    break;
                case ButtonImages.engEnterDown:
                    bt = new Bitmap(Resource.engEnterDown);
                    break;
                case ButtonImages.engEnterUp:
                    bt = new Bitmap(Resource.engEnterUp);
                    break;
                case ButtonImages.engFileSelectDisable:
                    bt = new Bitmap(Resource.engFileSelectDisable);
                    break;
                case ButtonImages.engFileSelectDown:
                    bt = new Bitmap(Resource.engFileSelectDown);
                    break;
                case ButtonImages.engFileSelectUp:
                    bt = new Bitmap(Resource.engFileSelectUp);
                    break;
                case ButtonImages.engFilterDisable:
                    bt = new Bitmap(Resource.engFilterDisable);
                    break;
                case ButtonImages.engFilterDown:
                    bt = new Bitmap(Resource.engFilterDown);
                    break;
                case ButtonImages.engFilterUp:
                    bt = new Bitmap(Resource.engFilterUp);
                    break;
                case ButtonImages.engFormCalibrationBalanceDisable:
                    bt = new Bitmap(Resource.engFormCalibrationBalanceDisable);
                    break;
                case ButtonImages.engFormCalibrationBalanceDown:
                    bt = new Bitmap(Resource.engFormCalibrationBalanceDown);
                    break;
                case ButtonImages.engFormCalibrationBalanceUp:
                    bt = new Bitmap(Resource.engFormCalibrationBalanceUp);
                    break;
                case ButtonImages.engFormCalibrationCancelDisable:
                    bt = new Bitmap(Resource.engFormCalibrationCancelDisable);
                    break;
                case ButtonImages.engFormCalibrationCancelDown:
                    bt = new Bitmap(Resource.engFormCalibrationCancelDown);
                    break;
                case ButtonImages.engFormCalibrationCancelUp:
                    bt = new Bitmap(Resource.engFormCalibrationCancelUp);
                    break;
                case ButtonImages.engFormCalibrationStartDisable:
                    bt = new Bitmap(Resource.engFormCalibrationStartDisable);
                    break;
                case ButtonImages.engFormCalibrationStartDown:
                    bt = new Bitmap(Resource.engFormCalibrationStartDown);
                    break;
                case ButtonImages.engFormCalibrationStartUp:
                    bt = new Bitmap(Resource.engFormCalibrationStartUp);
                    break;
                case ButtonImages.engFormMainClearDisable:
                    bt = new Bitmap(Resource.engFormMainClearDisable);
                    break;
                case ButtonImages.engFormMainClearDown:
                    bt = new Bitmap(Resource.engFormMainClearDown);
                    break;
                case ButtonImages.engFormMainClearUp:
                    bt = new Bitmap(Resource.engFormMainClearUp);
                    break;
                case ButtonImages.engFormMainMenuDisable:
                    bt = new Bitmap(Resource.engFormMainMenuDisable);
                    break;
                case ButtonImages.engFormMainMenuDown:
                    bt = new Bitmap(Resource.engFormMainMenuDown);
                    break;
                case ButtonImages.engFormMainMenuUp:
                    bt = new Bitmap(Resource.engFormMainMenuUp);
                    break;
                case ButtonImages.engFormMainMenuSmallDisable:
                    bt = new Bitmap(Resource.engFormMainMenuSmallDisable);
                    break;
                case ButtonImages.engFormMainMenuSmallDown:
                    bt = new Bitmap(Resource.engFormMainMenuSmallDown);
                    break;
                case ButtonImages.engFormMainMenuSmallUp:
                    bt = new Bitmap(Resource.engFormMainMenuSmallUp);
                    break;
                case ButtonImages.engFormMainOverDisable:
                    bt = new Bitmap(Resource.engFormMainOverDisable);
                    break;
                case ButtonImages.engFormMainOverDown:
                    bt = new Bitmap(Resource.engFormMainOverDown);
                    break;
                case ButtonImages.engFormMainOverUp:
                    bt = new Bitmap(Resource.engFormMainOverUp);
                    break;
                case ButtonImages.engFormMainPassDisable:
                    bt = new Bitmap(Resource.engFormMainPassDisable);
                    break;
                case ButtonImages.engFormMainPassDown:
                    bt = new Bitmap(Resource.engFormMainPassDown);
                    break;
                case ButtonImages.engFormMainPassUp:
                    bt = new Bitmap(Resource.engFormMainPassUp);
                    break;
                case ButtonImages.engFormMainTareDisable:
                    bt = new Bitmap(Resource.engFormMainTareDisable);
                    break;
                case ButtonImages.engFormMainTareDown:
                    bt = new Bitmap(Resource.engFormMainTareDown);
                    break;
                case ButtonImages.engFormMainTareUp:
                    bt = new Bitmap(Resource.engFormMainTareUp);
                    break;
                case ButtonImages.engFormMainUnderDisable:
                    bt = new Bitmap(Resource.engFormMainUnderDisable);
                    break;
                case ButtonImages.engFormMainUnderDown:
                    bt = new Bitmap(Resource.engFormMainUnderDown);
                    break;
                case ButtonImages.engFormMainUnderUp:
                    bt = new Bitmap(Resource.engFormMainUnderUp);
                    break;
                case ButtonImages.engFormMainZeroDown:
                    bt = new Bitmap(Resource.engFormMainZeroDown);
                    break;
                case ButtonImages.engFormMainZeroUp:
                    bt = new Bitmap(Resource.engFormMainZeroUp);
                    break;
                case ButtonImages.engFormSystemCopyDown:
                    bt = new Bitmap(Resource.engFormSystemCopyDown);
                    break;
                case ButtonImages.engFormSystemCopyUp:
                    bt = new Bitmap(Resource.engFormSystemCopyUp);
                    break;
                case ButtonImages.engFormSystemOverDown:
                    bt = new Bitmap(Resource.engFormSystemOverDown);
                    break;
                case ButtonImages.engFormSystemOverUp:
                    bt = new Bitmap(Resource.engFormSystemOverUp);
                    break;
                case ButtonImages.engFormSystemPassDown:
                    bt = new Bitmap(Resource.engFormSystemPassDown);
                    break;
                case ButtonImages.engFormSystemPassUp:
                    bt = new Bitmap(Resource.engFormSystemPassUp);
                    break;
                case ButtonImages.engFormSystemPasteAllDown:
                    bt = new Bitmap(Resource.engFormSystemPasteAllDown);
                    break;
                case ButtonImages.engFormSystemPasteAllUp:
                    bt = new Bitmap(Resource.engFormSystemPasteAllUp);
                    break;
                case ButtonImages.engFormSystemPasteDown:
                    bt = new Bitmap(Resource.engFormSystemPasteDown);
                    break;
                case ButtonImages.engFormSystemPasteUp:
                    bt = new Bitmap(Resource.engFormSystemPasteUp);
                    break;
                case ButtonImages.engFormSystemTareDown:
                    bt = new Bitmap(Resource.engFormSystemTareDown);
                    break;
                case ButtonImages.engFormSystemTareUp:
                    bt = new Bitmap(Resource.engFormSystemTareUp);
                    break;
                case ButtonImages.engFormSystemUnderDown:
                    bt = new Bitmap(Resource.engFormSystemUnderDown);
                    break;
                case ButtonImages.engFormSystemUnderUp:
                    bt = new Bitmap(Resource.engFormSystemUnderUp);
                    break;
                case ButtonImages.engGroupEditorDisable:
                    bt = new Bitmap(Resource.engGroupEditorDisable);
                    break;
                case ButtonImages.engGroupEditorDown:
                    bt = new Bitmap(Resource.engGroupEditorDown);
                    break;
                case ButtonImages.engGroupEditorUp:
                    bt = new Bitmap(Resource.engGroupEditorUp);
                    break;
                case ButtonImages.engMenuCalibrationDisable:
                    bt = new Bitmap(Resource.engMenuCalibrationDisable);
                    break;
                case ButtonImages.engMenuCalibrationDown:
                    bt = new Bitmap(Resource.engMenuCalibrationDown);
                    break;
                case ButtonImages.engMenuCalibrationUp:
                    bt = new Bitmap(Resource.engMenuCalibrationUp);
                    break;
                case ButtonImages.engMenuCommunicationDisable:
                    bt = new Bitmap(Resource.engMenuCommunicationDisable);
                    break;
                case ButtonImages.engMenuCommunicationDown:
                    bt = new Bitmap(Resource.engMenuCommunicationDown);
                    break;
                case ButtonImages.engMenuCommunicationUp:
                    bt = new Bitmap(Resource.engMenuCommunicationUp);
                    break;
                case ButtonImages.engMenuConfigurationDisable:
                    bt = new Bitmap(Resource.engMenuConfigurationDisable);
                    break;
                case ButtonImages.engMenuConfigurationDown:
                    bt = new Bitmap(Resource.engMenuConfigurationDown);
                    break;
                case ButtonImages.engMenuConfigurationUp:
                    bt = new Bitmap(Resource.engMenuConfigurationUp);
                    break;
                case ButtonImages.engMenuDataBackupDisable:
                    bt = new Bitmap(Resource.engMenuDataBackupDisable);
                    break;
                case ButtonImages.engMenuDataBackupDown:
                    bt = new Bitmap(Resource.engMenuDataBackupDown);
                    break;
                case ButtonImages.engMenuDataBackupUp:
                    bt = new Bitmap(Resource.engMenuDataBackupUp);
                    break;
                case ButtonImages.engMenuDataStatisticsDisable:
                    bt = new Bitmap(Resource.engMenuDataStatisticsDisable);
                    break;
                case ButtonImages.engMenuDataStatisticsDown:
                    bt = new Bitmap(Resource.engMenuDataStatisticsDown);
                    break;
                case ButtonImages.engMenuDataStatisticsUp:
                    bt = new Bitmap(Resource.engMenuDataStatisticsUp);
                    break;
                case ButtonImages.engMenuEquipmentSettingDisable:
                    bt = new Bitmap(Resource.engMenuEquipmentSettingDisable);
                    break;
                case ButtonImages.engMenuEquipmentSettingDown:
                    bt = new Bitmap(Resource.engMenuEquipmentSettingDown);
                    break;
                case ButtonImages.engMenuEquipmentSettingUp:
                    bt = new Bitmap(Resource.engMenuEquipmentSettingUp);
                    break;
                case ButtonImages.engMenuEquipmentTestDisable:
                    bt = new Bitmap(Resource.engMenuEquipmentTestDisable);
                    break;
                case ButtonImages.engMenuEquipmentTestDown:
                    bt = new Bitmap(Resource.engMenuEquipmentTestDown);
                    break;
                case ButtonImages.engMenuEquipmentTestUp:
                    bt = new Bitmap(Resource.engMenuEquipmentTestUp);
                    break;
                case ButtonImages.engMenuInformationDisable:
                    bt = new Bitmap(Resource.engMenuInformationDisable);
                    break;
                case ButtonImages.engMenuInformationDown:
                    bt = new Bitmap(Resource.engMenuInformationDown);
                    break;
                case ButtonImages.engMenuInformationUp:
                    bt = new Bitmap(Resource.engMenuInformationUp);
                    break;
                case ButtonImages.engMenuInitializationDisable:
                    bt = new Bitmap(Resource.engMenuInitializationDisable);
                    break;
                case ButtonImages.engMenuInitializationDown:
                    bt = new Bitmap(Resource.engMenuInitializationDown);
                    break;
                case ButtonImages.engMenuInitializationUp:
                    bt = new Bitmap(Resource.engMenuInitializationUp);
                    break;
                case ButtonImages.engMenuIOTestDisable:
                    bt = new Bitmap(Resource.engMenuIOTestDisable);
                    break;
                case ButtonImages.engMenuIOTestDown:
                    bt = new Bitmap(Resource.engMenuIOTestDown);
                    break;
                case ButtonImages.engMenuIOTestUp:
                    bt = new Bitmap(Resource.engMenuIOTestUp);
                    break;
                case ButtonImages.engMenuMotorSettingDisable:
                    bt = new Bitmap(Resource.engMenuMotorSettingDisable);
                    break;
                case ButtonImages.engMenuMotorSettingDown:
                    bt = new Bitmap(Resource.engMenuMotorSettingDown);
                    break;
                case ButtonImages.engMenuMotorSettingUp:
                    bt = new Bitmap(Resource.engMenuMotorSettingUp);
                    break;
                case ButtonImages.engMenuOptionDisable:
                    bt = new Bitmap(Resource.engMenuOptionDisable);
                    break;
                case ButtonImages.engMenuOptionDown:
                    bt = new Bitmap(Resource.engMenuOptionDown);
                    break;
                case ButtonImages.engMenuOptionUp:
                    bt = new Bitmap(Resource.engMenuOptionUp);
                    break;
                case ButtonImages.engMenuSystemSettingDisable:
                    bt = new Bitmap(Resource.engMenuSystemSettingDisable);
                    break;
                case ButtonImages.engMenuSystemSettingDown:
                    bt = new Bitmap(Resource.engMenuSystemSettingDown);
                    break;
                case ButtonImages.engMenuSystemSettingUp:
                    bt = new Bitmap(Resource.engMenuSystemSettingUp);
                    break;
                case ButtonImages.engMenuTimeDisable:
                    bt = new Bitmap(Resource.engMenuTimeDisable);
                    break;
                case ButtonImages.engMenuTimeDown:
                    bt = new Bitmap(Resource.engMenuTimeDown);
                    break;
                case ButtonImages.engMenuTimeUp:
                    bt = new Bitmap(Resource.engMenuTimeUp);
                    break;
                case ButtonImages.engMenuUpdateDisable:
                    bt = new Bitmap(Resource.engMenuUpdateDisable);
                    break;
                case ButtonImages.engMenuUpdateDown:
                    bt = new Bitmap(Resource.engMenuUpdateDown);
                    break;
                case ButtonImages.engMenuUpdateUp:
                    bt = new Bitmap(Resource.engMenuUpdateUp);
                    break;
                case ButtonImages.engMenuUserSettingDisable:
                    bt = new Bitmap(Resource.engMenuUserSettingDisable);
                    break;
                case ButtonImages.engMenuUserSettingDown:
                    bt = new Bitmap(Resource.engMenuUserSettingDown);
                    break;
                case ButtonImages.engMenuUserSettingUp:
                    bt = new Bitmap(Resource.engMenuUserSettingUp);
                    break;
                case ButtonImages.engSaveDisable:
                    bt = new Bitmap(Resource.engSaveDisable);
                    break;
                case ButtonImages.engSaveDown:
                    bt = new Bitmap(Resource.engSaveDown);
                    break;
                case ButtonImages.engSaveUp:
                    bt = new Bitmap(Resource.engSaveUp);
                    break;
                case ButtonImages.engScreenDisable:
                    bt = new Bitmap(Resource.engScreenDisable);
                    break;
                case ButtonImages.engScreenDown:
                    bt = new Bitmap(Resource.engScreenDown);
                    break;
                case ButtonImages.engScreenUp:
                    bt = new Bitmap(Resource.engScreenUp);
                    break;
                case ButtonImages.engMainCancelDisable:
                    bt = new Bitmap(Resource.engMainCancelDisable);
                    break;
                case ButtonImages.engMainCancelDown:
                    bt = new Bitmap(Resource.engMainCancelDown);
                    break;
                case ButtonImages.engMainCancelUp:
                    bt = new Bitmap(Resource.engMainCancelUp);
                    break;
                case ButtonImages.engMainLoginDisable:
                    bt = new Bitmap(Resource.engMainLoginDisable);
                    break;
                case ButtonImages.engMainLoginDown:
                    bt = new Bitmap(Resource.engMainLoginDown);
                    break;
                case ButtonImages.engMainLoginUp:
                    bt = new Bitmap(Resource.engMainLoginUp);
                    break;
                case ButtonImages.engSubMenuContinueUp:
                    bt = new Bitmap(Resource.engSubMenuContinueUp);
                    break;
                case ButtonImages.engSubMenuNGUp:
                    bt = new Bitmap(Resource.engSubMenuNGUp);
                    break;
                case ButtonImages.engSubMenuOnceUp:
                    bt = new Bitmap(Resource.engSubMenuOnceUp);
                    break;
                case ButtonImages.engSubMenuPassUp:
                    bt = new Bitmap(Resource.engSubMenuPassUp);
                    break;
                case ButtonImages.engFormMainSubMenuDisable:
                    bt = new Bitmap(Resource.engFormMainSubMenuDisable);
                    break;
                case ButtonImages.engFormMainSubMenuDown:
                    bt = new Bitmap(Resource.engFormMainSubMenuDown);
                    break;
                case ButtonImages.engFormMainSubMenuUp:
                    bt = new Bitmap(Resource.engFormMainSubMenuUp);
                    break;
                #endregion

                #region Germany
                case ButtonImages.gerBackDisable:
                    bt = new Bitmap(Resource.gerBackDisable);
                    break;
                case ButtonImages.gerBackDown:
                    bt = new Bitmap(Resource.gerBackDown);
                    break;
                case ButtonImages.gerBackUp:
                    bt = new Bitmap(Resource.gerBackUp);
                    break;
                case ButtonImages.gerBackupDisable:
                    bt = new Bitmap(Resource.gerBackupDisable);
                    break;
                case ButtonImages.gerBackupDown:
                    bt = new Bitmap(Resource.gerBackupDown);
                    break;
                case ButtonImages.gerBackupUp:
                    bt = new Bitmap(Resource.gerBackupUp);
                    break;
                case ButtonImages.gerDisable:
                    bt = new Bitmap(Resource.gerDisable);
                    break;
                case ButtonImages.gerEnable:
                    bt = new Bitmap(Resource.gerEnable);
                    break;
                case ButtonImages.gerFileSelectDisable:
                    bt = new Bitmap(Resource.gerFileSelectDisable);
                    break;
                case ButtonImages.gerFileSelectDown:
                    bt = new Bitmap(Resource.gerFileSelectDown);
                    break;
                case ButtonImages.gerFileSelectUp:
                    bt = new Bitmap(Resource.gerFileSelectUp);
                    break;
                case ButtonImages.gerFormCalibrationBalanceDisable:
                    bt = new Bitmap(Resource.gerFormCalibrationBalanceDisable);
                    break;
                case ButtonImages.gerFormCalibrationBalanceDown:
                    bt = new Bitmap(Resource.gerFormCalibrationBalanceDown);
                    break;
                case ButtonImages.gerFormCalibrationBalanceUp:
                    bt = new Bitmap(Resource.gerFormCalibrationBalanceUp);
                    break;
                case ButtonImages.gerFormCalibrationCancelDisable:
                    bt = new Bitmap(Resource.gerFormCalibrationCancelDisable);
                    break;
                case ButtonImages.gerFormCalibrationCancelDown:
                    bt = new Bitmap(Resource.gerFormCalibrationCancelDown);
                    break;
                case ButtonImages.gerFormCalibrationCancelUp:
                    bt = new Bitmap(Resource.gerFormCalibrationCancelUp);
                    break;
                case ButtonImages.gerFormCalibrationStartDisable:
                    bt = new Bitmap(Resource.gerFormCalibrationStartDisable);
                    break;
                case ButtonImages.gerFormCalibrationStartDown:
                    bt = new Bitmap(Resource.gerFormCalibrationStartDown);
                    break;
                case ButtonImages.gerFormCalibrationStartUp:
                    bt = new Bitmap(Resource.gerFormCalibrationStartUp);
                    break;
                case ButtonImages.gerFormMainClearDisable:
                    bt = new Bitmap(Resource.gerFormMainClearDisable);
                    break;
                case ButtonImages.gerFormMainClearDown:
                    bt = new Bitmap(Resource.gerFormMainClearDown);
                    break;
                case ButtonImages.gerFormMainClearUp:
                    bt = new Bitmap(Resource.gerFormMainClearUp);
                    break;
                case ButtonImages.gerFormMainMenuDisable:
                    bt = new Bitmap(Resource.gerFormMainMenuDisable);
                    break;
                case ButtonImages.gerFormMainMenuDown:
                    bt = new Bitmap(Resource.gerFormMainMenuDown);
                    break;
                case ButtonImages.gerFormMainMenuUp:
                    bt = new Bitmap(Resource.gerFormMainMenuUp);
                    break;
                case ButtonImages.gerFormMainMenuSmallDisable:
                    bt = new Bitmap(Resource.gerFormMainMenuSmallDisable);
                    break;
                case ButtonImages.gerFormMainMenuSmallDown:
                    bt = new Bitmap(Resource.gerFormMainMenuSmallDown);
                    break;
                case ButtonImages.gerFormMainMenuSmallUp:
                    bt = new Bitmap(Resource.gerFormMainMenuSmallUp);
                    break;
                case ButtonImages.gerFormMainOverDown:
                    bt = new Bitmap(Resource.gerFormMainOverDown);
                    break;
                case ButtonImages.gerFormMainOverUp:
                    bt = new Bitmap(Resource.gerFormMainOverUp);
                    break;
                case ButtonImages.gerFormMainPassDown:
                    bt = new Bitmap(Resource.gerFormMainPassDown);
                    break;
                case ButtonImages.gerFormMainPassUp:
                    bt = new Bitmap(Resource.gerFormMainPassUp);
                    break;
                case ButtonImages.gerFormMainTareDown:
                    bt = new Bitmap(Resource.gerFormMainTareDown);
                    break;
                case ButtonImages.gerFormMainTareUp:
                    bt = new Bitmap(Resource.gerFormMainTareUp);
                    break;
                case ButtonImages.gerFormMainUnderDown:
                    bt = new Bitmap(Resource.gerFormMainUnderDown);
                    break;
                case ButtonImages.gerFormMainUnderUp:
                    bt = new Bitmap(Resource.gerFormMainUnderUp);
                    break;
                case ButtonImages.gerFormMainZeroDown:
                    bt = new Bitmap(Resource.gerFormMainZeroDown);
                    break;
                case ButtonImages.gerFormMainZeroUp:
                    bt = new Bitmap(Resource.gerFormMainZeroUp);
                    break;
                case ButtonImages.gerFormSystemCopyDown:
                    bt = new Bitmap(Resource.gerFormSystemCopyDown);
                    break;
                case ButtonImages.gerFormSystemCopyUp:
                    bt = new Bitmap(Resource.gerFormSystemCopyUp);
                    break;
                case ButtonImages.gerFormSystemOverDown:
                    bt = new Bitmap(Resource.gerFormSystemOverDown);
                    break;
                case ButtonImages.gerFormSystemOverUp:
                    bt = new Bitmap(Resource.gerFormSystemOverUp);
                    break;
                case ButtonImages.gerFormSystemPassDown:
                    bt = new Bitmap(Resource.gerFormSystemPassDown);
                    break;
                case ButtonImages.gerFormSystemPassUp:
                    bt = new Bitmap(Resource.gerFormSystemPassUp);
                    break;
                case ButtonImages.gerFormSystemPasteAllDown:
                    bt = new Bitmap(Resource.gerFormSystemPasteAllDown);
                    break;
                case ButtonImages.gerFormSystemPasteAllUp:
                    bt = new Bitmap(Resource.gerFormSystemPasteAllUp);
                    break;
                case ButtonImages.gerFormSystemPasteDown:
                    bt = new Bitmap(Resource.gerFormSystemPasteDown);
                    break;
                case ButtonImages.gerFormSystemPasteUp:
                    bt = new Bitmap(Resource.gerFormSystemPasteUp);
                    break;
                case ButtonImages.gerFormSystemTareDown:
                    bt = new Bitmap(Resource.gerFormSystemTareDown);
                    break;
                case ButtonImages.gerFormSystemTareUp:
                    bt = new Bitmap(Resource.gerFormSystemTareUp);
                    break;
                case ButtonImages.gerFormSystemUnderDown:
                    bt = new Bitmap(Resource.gerFormSystemUnderDown);
                    break;
                case ButtonImages.gerFormSystemUnderUp:
                    bt = new Bitmap(Resource.gerFormSystemUnderUp);
                    break;
                case ButtonImages.gerGroupEditorDisable:
                    bt = new Bitmap(Resource.gerGroupEditorDisable);
                    break;
                case ButtonImages.gerGroupEditorDown:
                    bt = new Bitmap(Resource.gerGroupEditorDown);
                    break;
                case ButtonImages.gerGroupEditorUp:
                    bt = new Bitmap(Resource.gerGroupEditorUp);
                    break;
                case ButtonImages.gerMenuCalibrationDisable:
                    bt = new Bitmap(Resource.gerMenuCalibrationDisable);
                    break;
                case ButtonImages.gerMenuCalibrationDown:
                    bt = new Bitmap(Resource.gerMenuCalibrationDown);
                    break;
                case ButtonImages.gerMenuCalibrationUp:
                    bt = new Bitmap(Resource.gerMenuCalibrationUp);
                    break;
                case ButtonImages.gerMenuCommunicationDisable:
                    bt = new Bitmap(Resource.gerMenuCommunicationDisable);
                    break;
                case ButtonImages.gerMenuCommunicationDown:
                    bt = new Bitmap(Resource.gerMenuCommunicationDown);
                    break;
                case ButtonImages.gerMenuCommunicationUp:
                    bt = new Bitmap(Resource.gerMenuCommunicationUp);
                    break;
                case ButtonImages.gerMenuConfigurationDisable:
                    bt = new Bitmap(Resource.gerMenuConfigurationDisable);
                    break;
                case ButtonImages.gerMenuConfigurationDown:
                    bt = new Bitmap(Resource.gerMenuConfigurationDown);
                    break;
                case ButtonImages.gerMenuConfigurationUp:
                    bt = new Bitmap(Resource.gerMenuConfigurationUp);
                    break;
                case ButtonImages.gerMenuDataBackupDisable:
                    bt = new Bitmap(Resource.gerMenuDataBackupDisable);
                    break;
                case ButtonImages.gerMenuDataBackupDown:
                    bt = new Bitmap(Resource.gerMenuDataBackupDown);
                    break;
                case ButtonImages.gerMenuDataBackupUp:
                    bt = new Bitmap(Resource.gerMenuDataBackupUp);
                    break;
                case ButtonImages.gerMenuDataStatisticsDisable:
                    bt = new Bitmap(Resource.gerMenuDataStatisticsDisable);
                    break;
                case ButtonImages.gerMenuDataStatisticsDown:
                    bt = new Bitmap(Resource.gerMenuDataStatisticsDown);
                    break;
                case ButtonImages.gerMenuDataStatisticsUp:
                    bt = new Bitmap(Resource.gerMenuDataStatisticsUp);
                    break;
                case ButtonImages.gerMenuEquipmentSettingDisable:
                    bt = new Bitmap(Resource.gerMenuEquipmentSettingDisable);
                    break;
                case ButtonImages.gerMenuEquipmentSettingDown:
                    bt = new Bitmap(Resource.gerMenuEquipmentSettingDown);
                    break;
                case ButtonImages.gerMenuEquipmentSettingUp:
                    bt = new Bitmap(Resource.gerMenuEquipmentSettingUp);
                    break;
                case ButtonImages.gerMenuEquipmentTestDisable:
                    bt = new Bitmap(Resource.gerMenuEquipmentTestDisable);
                    break;
                case ButtonImages.gerMenuEquipmentTestDown:
                    bt = new Bitmap(Resource.gerMenuEquipmentTestDown);
                    break;
                case ButtonImages.gerMenuEquipmentTestUp:
                    bt = new Bitmap(Resource.gerMenuEquipmentTestUp);
                    break;
                case ButtonImages.gerMenuInformationDisable:
                    bt = new Bitmap(Resource.gerMenuInformationDisable);
                    break;
                case ButtonImages.gerMenuInformationDown:
                    bt = new Bitmap(Resource.gerMenuInformationDown);
                    break;
                case ButtonImages.gerMenuInformationUp:
                    bt = new Bitmap(Resource.gerMenuInformationUp);
                    break;
                case ButtonImages.gerMenuInitializationDisable:
                    bt = new Bitmap(Resource.gerMenuInitializationDisable);
                    break;
                case ButtonImages.gerMenuInitializationDown:
                    bt = new Bitmap(Resource.gerMenuInitializationDown);
                    break;
                case ButtonImages.gerMenuInitializationUp:
                    bt = new Bitmap(Resource.gerMenuInitializationUp);
                    break;
                case ButtonImages.gerMenuIOTestDisable:
                    bt = new Bitmap(Resource.gerMenuIOTestDisable);
                    break;
                case ButtonImages.gerMenuIOTestDown:
                    bt = new Bitmap(Resource.gerMenuIOTestDown);
                    break;
                case ButtonImages.gerMenuIOTestUp:
                    bt = new Bitmap(Resource.gerMenuIOTestUp);
                    break;
                case ButtonImages.gerMenuMotorSettingDisable:
                    bt = new Bitmap(Resource.gerMenuMotorSettingDisable);
                    break;
                case ButtonImages.gerMenuMotorSettingDown:
                    bt = new Bitmap(Resource.gerMenuMotorSettingDown);
                    break;
                case ButtonImages.gerMenuMotorSettingUp:
                    bt = new Bitmap(Resource.gerMenuMotorSettingUp);
                    break;
                case ButtonImages.gerMenuOptionDisable:
                    bt = new Bitmap(Resource.gerMenuOptionDisable);
                    break;
                case ButtonImages.gerMenuOptionDown:
                    bt = new Bitmap(Resource.gerMenuOptionDown);
                    break;
                case ButtonImages.gerMenuOptionUp:
                    bt = new Bitmap(Resource.gerMenuOptionUp);
                    break;
                case ButtonImages.gerMenuSystemSettingDisable:
                    bt = new Bitmap(Resource.gerMenuSystemSettingDisable);
                    break;
                case ButtonImages.gerMenuSystemSettingDown:
                    bt = new Bitmap(Resource.gerMenuSystemSettingDown);
                    break;
                case ButtonImages.gerMenuSystemSettingUp:
                    bt = new Bitmap(Resource.gerMenuSystemSettingUp);
                    break;
                case ButtonImages.gerMenuTimeDisable:
                    bt = new Bitmap(Resource.gerMenuTimeDisable);
                    break;
                case ButtonImages.gerMenuTimeDown:
                    bt = new Bitmap(Resource.gerMenuTimeDown);
                    break;
                case ButtonImages.gerMenuTimeUp:
                    bt = new Bitmap(Resource.gerMenuTimeUp);
                    break;
                case ButtonImages.gerMenuUpdateDisable:
                    bt = new Bitmap(Resource.gerMenuUpdateDisable);
                    break;
                case ButtonImages.gerMenuUpdateDown:
                    bt = new Bitmap(Resource.gerMenuUpdateDown);
                    break;
                case ButtonImages.gerMenuUpdateUp:
                    bt = new Bitmap(Resource.gerMenuUpdateUp);
                    break;
                case ButtonImages.gerMenuUserSettingDisable:
                    bt = new Bitmap(Resource.gerMenuUserSettingDisable);
                    break;
                case ButtonImages.gerMenuUserSettingDown:
                    bt = new Bitmap(Resource.gerMenuUserSettingDown);
                    break;
                case ButtonImages.gerMenuUserSettingUp:
                    bt = new Bitmap(Resource.gerMenuUserSettingUp);
                    break;
                case ButtonImages.gerSaveDisable:
                    bt = new Bitmap(Resource.gerSaveDisable);
                    break;
                case ButtonImages.gerSaveDown:
                    bt = new Bitmap(Resource.gerSaveDown);
                    break;
                case ButtonImages.gerSaveUp:
                    bt = new Bitmap(Resource.gerSaveUp);
                    break;
                case ButtonImages.gerScreenDisable:
                    bt = new Bitmap(Resource.gerScreenDisable);
                    break;
                case ButtonImages.gerScreenDown:
                    bt = new Bitmap(Resource.gerScreenDown);
                    break;
                case ButtonImages.gerScreenUp:
                    bt = new Bitmap(Resource.gerScreenUp);
                    break;
                case ButtonImages.gerMainCancelDisable:
                    bt = new Bitmap(Resource.gerMainCancelDisable);
                    break;
                case ButtonImages.gerMainCancelDown:
                    bt = new Bitmap(Resource.gerMainCancelDown);
                    break;
                case ButtonImages.gerMainCancelUp:
                    bt = new Bitmap(Resource.gerMainCancelUp);
                    break;
                case ButtonImages.gerSubMenuContinueUp:
                    bt = new Bitmap(Resource.gerSubMenuContinueUp);
                    break;
                case ButtonImages.gerSubMenuNGUp:
                    bt = new Bitmap(Resource.gerSubMenuNGUp);
                    break;
                case ButtonImages.gerSubMenuOnceUp:
                    bt = new Bitmap(Resource.gerSubMenuOnceUp);
                    break;
                case ButtonImages.gerSubMenuPassUp:
                    bt = new Bitmap(Resource.gerSubMenuPassUp);
                    break;
                case ButtonImages.gerFormMainSubMenuDisable:
                    bt = new Bitmap(Resource.gerFormMainSubMenuDisable);
                    break;
                case ButtonImages.gerFormMainSubMenuDown:
                    bt = new Bitmap(Resource.gerFormMainSubMenuDown);
                    break;
                case ButtonImages.gerFormMainSubMenuUp:
                    bt = new Bitmap(Resource.gerFormMainSubMenuUp);
                    break;
                 #endregion

                #region Japan
                case ButtonImages.jpnBackDisable:
                    bt = new Bitmap(Resource.jpnBackDisable);
                    break;
                case ButtonImages.jpnBackDown:
                    bt = new Bitmap(Resource.jpnBackDown);
                    break;
                case ButtonImages.jpnBackUp:
                    bt = new Bitmap(Resource.jpnBackUp);
                    break;
                case ButtonImages.jpnBackupDisable:
                    bt = new Bitmap(Resource.jpnBackupDisable);
                    break;
                case ButtonImages.jpnBackupDown:
                    bt = new Bitmap(Resource.jpnBackupDown);
                    break;
                case ButtonImages.jpnBackupUp:
                    bt = new Bitmap(Resource.jpnBackupUp);
                    break;
                case ButtonImages.jpnClearAlarmDisable:
                    bt = new Bitmap(Resource.jpnClearAlarmDisable);
                    break;
                case ButtonImages.jpnClearAlarmDown:
                    bt = new Bitmap(Resource.jpnClearAlarmDown);
                    break;
                case ButtonImages.jpnClearAlarmUp:
                    bt = new Bitmap(Resource.jpnClearAlarmUp);
                    break;
                case ButtonImages.jpnFileSelectDisable:
                    bt = new Bitmap(Resource.jpnFileSelectDisable);
                    break;
                case ButtonImages.jpnFileSelectDown:
                    bt = new Bitmap(Resource.jpnFileSelectDown);
                    break;
                case ButtonImages.jpnFileSelectUp:
                    bt = new Bitmap(Resource.jpnFileSelectUp);
                    break;
                case ButtonImages.jpnFilterDisable:
                    bt = new Bitmap(Resource.jpnFilterDisable);
                    break;
                case ButtonImages.jpnFilterDown:
                    bt = new Bitmap(Resource.jpnFilterDown);
                    break;
                case ButtonImages.jpnFilterUp:
                    bt = new Bitmap(Resource.jpnFilterUp);
                    break;
                case ButtonImages.jpnFormMainClearDisable:
                    bt = new Bitmap(Resource.jpnFormMainClearDisable);
                    break;
                case ButtonImages.jpnFormMainClearDown:
                    bt = new Bitmap(Resource.jpnFormMainClearDown);
                    break;
                case ButtonImages.jpnFormMainClearUp:
                    bt = new Bitmap(Resource.jpnFormMainClearUp);
                    break;
                case ButtonImages.jpnFormMainLoginDisable:
                    bt = new Bitmap(Resource.jpnFormMainLoginDisable);
                    break;
                case ButtonImages.jpnFormMainLoginUp:
                    bt = new Bitmap(Resource.jpnFormMainLoginUp);
                    break;
                case ButtonImages.jpnFormMainLogoffUp:
                    bt = new Bitmap(Resource.jpnFormMainLogoffUp);
                    break;
                case ButtonImages.jpnFormMainMenuDisable:
                    bt = new Bitmap(Resource.jpnFormMainMenuDisable);
                    break;
                case ButtonImages.jpnFormMainMenuDown:
                    bt = new Bitmap(Resource.jpnFormMainMenuDown);
                    break;
                case ButtonImages.jpnFormMainMenuUp:
                    bt = new Bitmap(Resource.jpnFormMainMenuUp);
                    break;
                case ButtonImages.jpnFormMainMenuSmallDisable:
                    bt = new Bitmap(Resource.jpnFormMainMenuSmallDisable);
                    break;
                case ButtonImages.jpnFormMainMenuSmallDown:
                    bt = new Bitmap(Resource.jpnFormMainMenuSmallDown);
                    break;
                case ButtonImages.jpnFormMainMenuSmallUp:
                    bt = new Bitmap(Resource.jpnFormMainMenuSmallUp);
                    break;
                case ButtonImages.jpnFormMainOverDisable:
                    bt = new Bitmap(Resource.jpnFormMainOverDisable);
                    break;
                case ButtonImages.jpnFormMainOverDown:
                    bt = new Bitmap(Resource.jpnFormMainOverDown);
                    break;
                case ButtonImages.jpnFormMainOverUp:
                    bt = new Bitmap(Resource.jpnFormMainOverUp);
                    break;
                case ButtonImages.jpnFormMainPassDisable:
                    bt = new Bitmap(Resource.jpnFormMainPassDisable);
                    break;
                case ButtonImages.jpnFormMainPassDown:
                    bt = new Bitmap(Resource.jpnFormMainPassDown);
                    break;
                case ButtonImages.jpnFormMainPassUp:
                    bt = new Bitmap(Resource.jpnFormMainPassUp);
                    break;
                case ButtonImages.jpnFormMainSubMenuDisable:
                    bt = new Bitmap(Resource.jpnFormMainSubMenuDisable);
                    break;
                case ButtonImages.jpnFormMainSubMenuDown:
                    bt = new Bitmap(Resource.jpnFormMainSubMenuDown);
                    break;
                case ButtonImages.jpnFormMainSubMenuUp:
                    bt = new Bitmap(Resource.jpnFormMainSubMenuUp);
                    break;
                case ButtonImages.jpnFormMainTareDisable:
                    bt = new Bitmap(Resource.jpnFormMainTareDisable);
                    break;
                case ButtonImages.jpnFormMainTareDown:
                    bt = new Bitmap(Resource.jpnFormMainTareDown);
                    break;
                case ButtonImages.jpnFormMainTareUp:
                    bt = new Bitmap(Resource.jpnFormMainTareUp);
                    break;
                case ButtonImages.jpnFormMainUnderDisable:
                    bt = new Bitmap(Resource.jpnFormMainUnderDisable);
                    break;
                case ButtonImages.jpnFormMainUnderDown:
                    bt = new Bitmap(Resource.jpnFormMainUnderDown);
                    break;
                case ButtonImages.jpnFormMainUnderUp:
                    bt = new Bitmap(Resource.jpnFormMainUnderUp);
                    break;
                case ButtonImages.jpnFormMainZeroDisable:
                    bt = new Bitmap(Resource.jpnFormMainZeroDisable);
                    break;
                case ButtonImages.jpnFormMainZeroDown:
                    bt = new Bitmap(Resource.jpnFormMainZeroDown);
                    break;
                case ButtonImages.jpnFormMainZeroUp:
                    bt = new Bitmap(Resource.jpnFormMainZeroUp);
                    break;
                case ButtonImages.jpnFormSystemCopyDown:
                    bt = new Bitmap(Resource.jpnFormSystemCopyDown);
                    break;
                case ButtonImages.jpnFormSystemCopyUp:
                    bt = new Bitmap(Resource.jpnFormSystemCopyUp);
                    break;
                case ButtonImages.jpnFormSystemOverDown:
                    bt = new Bitmap(Resource.jpnFormSystemOverDown);
                    break;
                case ButtonImages.jpnFormSystemOverUp:
                    bt = new Bitmap(Resource.jpnFormSystemOverUp);
                    break;
                case ButtonImages.jpnFormSystemPassDown:
                    bt = new Bitmap(Resource.jpnFormSystemPassDown);
                    break;
                case ButtonImages.jpnFormSystemPassUp:
                    bt = new Bitmap(Resource.jpnFormSystemPassUp);
                    break;
                case ButtonImages.jpnFormSystemPasteAllDown:
                    bt = new Bitmap(Resource.jpnFormSystemPasteAllDown);
                    break;
                case ButtonImages.jpnFormSystemPasteAllUp:
                    bt = new Bitmap(Resource.jpnFormSystemPasteAllUp);
                    break;
                case ButtonImages.jpnFormSystemPasteDown:
                    bt = new Bitmap(Resource.jpnFormSystemPasteDown);
                    break;
                case ButtonImages.jpnFormSystemPasteUp:
                    bt = new Bitmap(Resource.jpnFormSystemPasteUp);
                    break;
                case ButtonImages.jpnFormSystemTareDown:
                    bt = new Bitmap(Resource.jpnFormSystemTareDown);
                    break;
                case ButtonImages.jpnFormSystemTareUp:
                    bt = new Bitmap(Resource.jpnFormSystemTareUp);
                    break;
                case ButtonImages.jpnFormSystemUnderDown:
                    bt = new Bitmap(Resource.jpnFormSystemUnderDown);
                    break;
                case ButtonImages.jpnFormSystemUnderUp:
                    bt = new Bitmap(Resource.jpnFormSystemUnderUp);
                    break;
                case ButtonImages.jpnGroupEditorDisable:
                    bt = new Bitmap(Resource.jpnGroupEditorDisable);
                    break;
                case ButtonImages.jpnGroupEditorDown:
                    bt = new Bitmap(Resource.jpnGroupEditorDown);
                    break;
                case ButtonImages.jpnGroupEditorUp:
                    bt = new Bitmap(Resource.jpnGroupEditorUp);
                    break;
                case ButtonImages.jpnMainLoginChangeDisable:
                    bt = new Bitmap(Resource.jpnMainLoginChangeDisable);
                    break;
                case ButtonImages.jpnMainLoginChangeDown:
                    bt = new Bitmap(Resource.jpnMainLoginChangeDown);
                    break;
                case ButtonImages.jpnMainLoginChangeUp:
                    bt = new Bitmap(Resource.jpnMainLoginChangeUp);
                    break;
                case ButtonImages.jpnMainLoginCancelDisable:
                    bt = new Bitmap(Resource.jpnMainLoginCancelDisable);
                    break;
                case ButtonImages.jpnMainLoginCancelDown:
                    bt = new Bitmap(Resource.jpnMainLoginCancelDown);
                    break;
                case ButtonImages.jpnMainLoginCancelUp:
                    bt = new Bitmap(Resource.jpnMainLoginCancelUp);
                    break;
                case ButtonImages.jpnMainLoginLoginDisable:
                    bt = new Bitmap(Resource.jpnMainLoginLoginDisable);
                    break;
                case ButtonImages.jpnMainLoginLoginDown:
                    bt = new Bitmap(Resource.jpnMainLoginLoginDown);
                    break;
                case ButtonImages.jpnMainLoginLoginUp:
                    bt = new Bitmap(Resource.jpnMainLoginLoginUp);
                    break;
                case ButtonImages.jpnMenuCalibrationDisable:
                    bt = new Bitmap(Resource.jpnMenuCalibrationDisable);
                    break;
                case ButtonImages.jpnMenuCalibrationDown:
                    bt = new Bitmap(Resource.jpnMenuCalibrationDown);
                    break;
                case ButtonImages.jpnMenuCalibrationUp:
                    bt = new Bitmap(Resource.jpnMenuCalibrationUp);
                    break;
                case ButtonImages.jpnMenuCommunicationDisable:
                    bt = new Bitmap(Resource.jpnMenuCommunicaionDisable);
                    break;
                case ButtonImages.jpnMenuCommunicationDown:
                    bt = new Bitmap(Resource.jpnMenuCommunicaionDown);
                    break;
                case ButtonImages.jpnMenuCommunicationUp:
                    bt = new Bitmap(Resource.jpnMenuCommunicaionUp);
                    break;
                case ButtonImages.jpnMenuConfigurationDisable:
                    bt = new Bitmap(Resource.jpnMenuConfigurationDisable);
                    break;
                case ButtonImages.jpnMenuConfigurationDown:
                    bt = new Bitmap(Resource.jpnMenuConfigurationDown);
                    break;
                case ButtonImages.jpnMenuConfigurationUp:
                    bt = new Bitmap(Resource.jpnMenuConfigurationUp);
                    break;
                case ButtonImages.jpnMenuDataBackupDisable:
                    bt = new Bitmap(Resource.jpnMenuDataBackupDisable);
                    break;
                case ButtonImages.jpnMenuDataBackupDown:
                    bt = new Bitmap(Resource.jpnMenuDataBackupDown);
                    break;
                case ButtonImages.jpnMenuDataBackupUp:
                    bt = new Bitmap(Resource.jpnMenuDataBackupUp);
                    break;
                case ButtonImages.jpnMenuDataStatisticsDisable:
                    bt = new Bitmap(Resource.jpnMenuDataStatisticsDisable);
                    break;
                case ButtonImages.jpnMenuDataStatisticsDown:
                    bt = new Bitmap(Resource.jpnMenuDataStatisticsDown);
                    break;
                case ButtonImages.jpnMenuDataStatisticsUp:
                    bt = new Bitmap(Resource.jpnMenuDataStatisticsUp);
                    break;
                case ButtonImages.jpnMenuDataviewDisable:
                    bt = new Bitmap(Resource.jpnMenuDataviewDisable);
                    break;
                case ButtonImages.jpnMenuDataviewDown:
                    bt = new Bitmap(Resource.jpnMenuDataviewDown);
                    break;
                case ButtonImages.jpnMenuDataviewUp:
                    bt = new Bitmap(Resource.jpnMenuDataviewUp);
                    break;
                case ButtonImages.jpnMenuEquipmentSettingDisable:
                    bt = new Bitmap(Resource.jpnMenuEquipmentSettingDisable);
                    break;
                case ButtonImages.jpnMenuEquipmentSettingDown:
                    bt = new Bitmap(Resource.jpnMenuEquipmentSettingDown);
                    break;
                case ButtonImages.jpnMenuEquipmentSettingUp:
                    bt = new Bitmap(Resource.jpnMenuEquipmentSettingUp);
                    break;
                case ButtonImages.jpnMenuEquipmentTestDisable:
                    bt = new Bitmap(Resource.jpnMenuEquipmentTestDisable);
                    break;
                case ButtonImages.jpnMenuEquipmentTestDown:
                    bt = new Bitmap(Resource.jpnMenuEquipmentTestDown);
                    break;
                case ButtonImages.jpnMenuEquipmentTestUp:
                    bt = new Bitmap(Resource.jpnMenuEquipmentTestUp);
                    break;
                case ButtonImages.jpnMenuInformationDisable:
                    bt = new Bitmap(Resource.jpnMenuInformationDisable);
                    break;
                case ButtonImages.jpnMenuInformationDown:
                    bt = new Bitmap(Resource.jpnMenuInformationDown);
                    break;
                case ButtonImages.jpnMenuInformationUp:
                    bt = new Bitmap(Resource.jpnMenuInformationUp);
                    break;
                case ButtonImages.jpnMenuInitializationDisable:
                    bt = new Bitmap(Resource.jpnMenuInitializationDisable);
                    break;
                case ButtonImages.jpnMenuInitializationDown:
                    bt = new Bitmap(Resource.jpnMenuInitializationDown);
                    break;
                case ButtonImages.jpnMenuInitializationUp:
                    bt = new Bitmap(Resource.jpnMenuInitializationUp);
                    break;
                case ButtonImages.jpnMenuIOTestDisable:
                    bt = new Bitmap(Resource.jpnMenuIOTestDisable);
                    break;
                case ButtonImages.jpnMenuIOTestDown:
                    bt = new Bitmap(Resource.jpnMenuIOTestDown);
                    break;
                case ButtonImages.jpnMenuIOTestUp:
                    bt = new Bitmap(Resource.jpnMenuIOTestUp);
                    break;
                case ButtonImages.jpnMenuMotorSettingDisable:
                    bt = new Bitmap(Resource.jpnMenuMotorSettingDisable);
                    break;
                case ButtonImages.jpnMenuMotorSettingDown:
                    bt = new Bitmap(Resource.jpnMenuMotorSettingDown);
                    break;
                case ButtonImages.jpnMenuMotorSettingUp:
                    bt = new Bitmap(Resource.jpnMenuMotorSettingUp);
                    break;
                case ButtonImages.jpnMenuOptionDisable:
                    bt = new Bitmap(Resource.jpnMenuOptionDisable);
                    break;
                case ButtonImages.jpnMenuOptionDown:
                    bt = new Bitmap(Resource.jpnMenuOptionDown);
                    break;
                case ButtonImages.jpnMenuOptionUp:
                    bt = new Bitmap(Resource.jpnMenuOptionUp);
                    break;
                case ButtonImages.jpnMenuSystemSettingDisable:
                    bt = new Bitmap(Resource.jpnMenuSystemSettingDisable);
                    break;
                case ButtonImages.jpnMenuSystemSettingDown:
                    bt = new Bitmap(Resource.jpnMenuSystemSettingDown);
                    break;
                case ButtonImages.jpnMenuSystemSettingUp:
                    bt = new Bitmap(Resource.jpnMenuSystemSettingUp);
                    break;
                case ButtonImages.jpnMenuTimeDisable:
                    bt = new Bitmap(Resource.jpnMenuTimeDisable);
                    break;
                case ButtonImages.jpnMenuTimeDown:
                    bt = new Bitmap(Resource.jpnMenuTimeDown);
                    break;
                case ButtonImages.jpnMenuTimeUp:
                    bt = new Bitmap(Resource.jpnMenuTimeUp);
                    break;
                case ButtonImages.jpnMenuUpdateDisable:
                    bt = new Bitmap(Resource.jpnMenuUpdateDisable);
                    break;
                case ButtonImages.jpnMenuUpdateDown:
                    bt = new Bitmap(Resource.jpnMenuUpdateDown);
                    break;
                case ButtonImages.jpnMenuUpdateUp:
                    bt = new Bitmap(Resource.jpnMenuUpdateUp);
                    break;
                case ButtonImages.jpnMenuUserSettingDisable:
                    bt = new Bitmap(Resource.jpnMenuUserSettingDisable);
                    break;
                case ButtonImages.jpnMenuUserSettingDown:
                    bt = new Bitmap(Resource.jpnMenuUserSettingDown);
                    break;
                case ButtonImages.jpnMenuUserSettingUp:
                    bt = new Bitmap(Resource.jpnMenuUserSettingUp);
                    break;
                case ButtonImages.jpnSaveDisable:
                    bt = new Bitmap(Resource.jpnSaveDisable);
                    break;
                case ButtonImages.jpnSaveDown:
                    bt = new Bitmap(Resource.jpnSaveDown);
                    break;
                case ButtonImages.jpnSaveUp:
                    bt = new Bitmap(Resource.jpnSaveUp);
                    break;
                case ButtonImages.jpnScreenDisable:
                    bt = new Bitmap(Resource.jpnScreenDisable);
                    break;
                case ButtonImages.jpnScreenDown:
                    bt = new Bitmap(Resource.jpnScreenDown);
                    break;
                case ButtonImages.jpnScreenUp:
                    bt = new Bitmap(Resource.jpnScreenUp);
                    break;
                case ButtonImages.jpnSubMenuContinueUp:
                    bt = new Bitmap(Resource.jpnSubMenuContinueUp);
                    break;
                case ButtonImages.jpnSubMenuNGUp:
                    bt = new Bitmap(Resource.jpnSubMenuNGUp);
                    break;
                case ButtonImages.jpnSubMenuOnceUp:
                    bt = new Bitmap(Resource.jpnSubMenuOnceUp);
                    break;
                case ButtonImages.jpnSubMenuPassUp:
                    bt = new Bitmap(Resource.jpnSubMenuPassUp);
                    break;
                #endregion

                #region Korean
                case ButtonImages.korFormMainMenuDisable:
                    bt = new Bitmap(Resource.korFormMainMenuDisable);
                    break;
                case ButtonImages.korFormMainMenuDown:
                    bt = new Bitmap(Resource.korFormMainMenuDown);
                    break;
                case ButtonImages.korFormMainMenuUp:
                    bt = new Bitmap(Resource.korFormMainMenuUp);
                    break;
                case ButtonImages.korFormMainMenuSmallDisable:
                    bt = new Bitmap(Resource.korFormMainMenuSmallDisable);
                    break;
                case ButtonImages.korFormMainMenuSmallDown:
                    bt = new Bitmap(Resource.korFormMainMenuSmallDown);
                    break;
                case ButtonImages.korFormMainMenuSmallUp:
                    bt = new Bitmap(Resource.korFormMainMenuSmallUp);
                    break; 
                #endregion

                default :
                    bt = new Bitmap(Resource.engBackUp);
                    break;
            }

            return bt;
        }
    }
}
